# $Revision: 1.602.2.9 $, $Date: 2012/01/20 09:11:34 $
#
# TODO:
# - gconf peer? (but libgcj needs split anyway)
# - package?
#   /usr/bin/aot-compile
#   /usr/bin/gjdoc
#   /usr/share/man/man1/aot-compile.1.gz
#   /usr/share/man/man1/gjdoc.1.gz
#   /usr/share/python/aotcompile.py
#   /usr/share/python/classfile.py
#
# Conditional build:
%bcond_without	ada		# build without ADA support
%bcond_without	cxx		# build without C++ support
%bcond_without	fortran		# build without Fortran support
%bcond_without	gomp		# build without OpenMP support
%bcond_without	java		# build without Java support
%bcond_without	mudflap		# build without Mudflap pointer debugging support
%bcond_without	objc		# build without Objective-C support
%bcond_without	objcxx		# build without Objective-C++ support
%bcond_without	alsa		# don't build libgcj ALSA MIDI interface
%bcond_without	dssi		# don't build libgcj DSSI MIDI interface
%bcond_without	gtk		# don't build libgcj GTK peer
%bcond_with	mozilla		# don't build libgcjwebplugin (needs fix for new xulrunner)
%bcond_with	qt		# build libgcj Qt peer (currently doesn't build with libtool-2.x)
%bcond_without	x		# don't build libgcj Xlib-dependent AWTs (incl. GTK/Qt)
%bcond_without	multilib	# build without multilib support (it needs glibc[32&64]-devel)
%bcond_with	profiling	# build with profiling
%bcond_without	bootstrap	# omit 3-stage bootstrap
%bcond_with	tests		# torture gcc

%if %{without cxx}
%undefine	with_java
%undefine	with_objcxx
%endif

%if %{without objc}
%undefine	with_objcxx
%endif

%if %{without bootstrap}
%undefine	with_profiling
%endif

%if %{without java}
%undefine	with_alsa
%undefine	with_dssi
%undefine	with_mozilla
# gtk/qt gets pulled too, in next if
%undefine	with_x
%endif

%if %{without x}
%undefine	with_gtk
%undefine	with_qt
%endif

%ifnarch %{x8664} ppc64 s390x sparc64
%undefine	with_multilib
%endif

%ifarch sparc64
%undefine	with_ada
%endif

%define		major_ver	4.4
%define		minor_ver	6
# class data version seen with file(1) that this jvm is able to load
%define		_classdataversion 50.0

Summary:	GNU Compiler Collection: the C compiler and shared files
Summary(es.UTF-8):	Colección de compiladores GNU: el compilador C y ficheros compartidos
Summary(pl.UTF-8):	Kolekcja kompilatorów GNU: kompilator C i pliki współdzielone
Summary(pt_BR.UTF-8):	Coleção dos compiladores GNU: o compilador C e arquivos compartilhados
Name:		gcc
Version:	%{major_ver}.%{minor_ver}
Release:	0.1
Epoch:		6
License:	GPL v3+
Group:		Development/Languages
Source0:	ftp://gcc.gnu.org/pub/gcc/releases/gcc-%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	ab525d429ee4425050a554bc9247d6c4
Source1:	%{name}-optimize-la.pl
Source2:	ftp://sourceware.org/pub/java/ecj-4.5.jar
# Source2-md5:	d7cd6a27c8801e66cbaa964a039ecfdb
# svn diff svn://gcc.gnu.org/svn/gcc//tags/gcc_4_4_6_release svn://gcc.gnu.org/svn/gcc/branches/gcc-4_4-branch > gcc-branch.diff
#Patch100:	%{name}-branch.diff
Patch0:		%{name}-info.patch
Patch1:		%{name}-nolocalefiles.patch
Patch2:		%{name}-nodebug.patch
Patch3:		%{name}-ada-link.patch
Patch4:		%{name}-sparc64-ada_fix.patch
Patch6:		%{name}-ppc64-m32-m64-multilib-only.patch
Patch7:		%{name}-libjava-multilib.patch
Patch8:		%{name}-enable-java-awt-qt.patch
Patch9:		%{name}-hash-style-gnu.patch
Patch10:	%{name}-moresparcs.patch
Patch11:	%{name}-build-id.patch
URL:		http://gcc.gnu.org/
BuildRequires:	autoconf
%{?with_tests:BuildRequires:	autogen}
BuildRequires:	automake
# binutils 2.17.50.0.9 or newer are required for fixing PR middle-end/20218.
BuildRequires:	binutils >= 3:2.17.50.0.9-1
BuildRequires:	bison
BuildRequires:	chrpath >= 0.13-2
%{?with_tests:BuildRequires:	dejagnu}
BuildRequires:	fileutils >= 4.0.41
BuildRequires:	flex
%if %{with ada}
BuildRequires:	gcc(ada)
BuildRequires:	gcc-ada
%endif
BuildRequires:	gettext-devel
BuildRequires:	glibc-devel >= 6:2.3.4-1.5
%if %{with multilib}
BuildRequires:	gcc(multilib)
%ifarch %{x8664}
BuildRequires:	glibc-devel(i686)
%endif
%ifarch ppc64
BuildRequires:	glibc-devel(ppc)
%endif
%ifarch s390x
BuildRequires:	glibc-devel(s390)
%endif
%ifarch sparc64
BuildRequires:	glibc-devel(sparcv9)
%endif
%endif
BuildRequires:	gmp-devel >= 4.1
BuildRequires:	mpfr-devel >= 2.3.0
BuildRequires:	rpmbuild(macros) >= 1.583
BuildRequires:	texinfo >= 4.1
BuildRequires:	zlib-devel
%if %{with java}
%{?with_alsa:BuildRequires:	alsa-lib-devel}
%if %{with dssi}
BuildRequires:	dssi-devel
BuildRequires:	jack-audio-connection-kit-devel
%endif
BuildRequires:	libxml2-devel >= 1:2.6.8
BuildRequires:	libxslt-devel >= 1.1.11
BuildRequires:	perl-base
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	unzip
BuildRequires:	zip
%if %{with gtk}
BuildRequires:	cairo-devel >= 0.5.0
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	libart_lgpl-devel
BuildRequires:	pango-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-libXtst-devel
%endif
%if %{with qt}
BuildRequires:	QtGui-devel >= 4.0.1
BuildRequires:	qt4-build >= 4.0.1
%endif
%{?with_mozilla:BuildRequires:	xulrunner-devel >= 1.8.1.3-1.20070321.5}
%endif
Requires:	binutils >= 2:2.20.51.0.2
Requires:	libgcc = %{epoch}:%{version}-%{release}
Provides:	cpp = %{epoch}:%{version}-%{release}
%{?with_ada:Provides:	gcc(ada)}
Obsoletes:	cpp
Obsoletes:	egcs-cpp
Obsoletes:	gcc-chill
Obsoletes:	gcc-cpp
Obsoletes:	gcc-ksi
Obsoletes:	gcc4
Obsoletes:	gont
Conflicts:	glibc-devel < 2.2.5-20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_slibdir	/%{_lib}
%if %{with multilib}
# 32-bit environment on x86-64,ppc64,s390x,sparc64
%define		_slibdir32	/lib
%define		_libdir32	/usr/lib
%endif

%define		filterout	-fwrapv -fno-strict-aliasing -fsigned-char -gdwarf-3
%define		filterout_ld	-Wl,--as-needed

# TODO: correct these or document
%define		skip_so_java	libxmlj.so.0.0.0 libgcj.so.10.0.0 libgcj-tools.so.10.0.0 lib-gnu-awt-xlib.so.10.0.0 libmudflap.so.0.0.0 libmudflapth.so.0.0.0
# libstdc++.so.6.0.13 symbol: ___tls_get_addr
# ac-ppc: libgcc_s.so.1 __libc_stack_end
%define		skip_post_check_so	libstdc\\+\\+.so.6.0.* libgcc_s.so.1 %{skip_so_java}

%description
A compiler aimed at integrating all the optimizations and features
necessary for a high-performance and stable development environment.

This package contains the C compiler and some files shared by various
parts of the GNU Compiler Collection. In order to use another GCC
compiler you will need to install the appropriate subpackage.

%description -l es.UTF-8
Un compilador que intenta integrar todas las optimalizaciones y
características necesarias para un entorno de desarrollo eficaz y
estable.

Este paquete contiene el compilador de C y unos ficheros compartidos
por varias partes de la colección de compiladores GNU (GCC). Para usar
otro compilador de GCC será necesario que instale el subpaquete
adecuado.

%description -l pl.UTF-8
Kompilator, posiadający duże możliwości optymalizacyjne niezbędne do
wyprodukowania szybkiego i stabilnego kodu wynikowego.

Ten pakiet zawiera kompilator C i pliki współdzielone przez różne
części kolekcji kompilatorów GNU (GCC). Żeby używać innego kompilatora
z GCC, trzeba zainstalować odpowiedni podpakiet.

%description -l pt_BR.UTF-8
Este pacote adiciona infraestrutura básica e suporte a linguagem C ao
GNU Compiler Collection.

%package multilib
Summary:	GNU Compiler Collection: the C compiler and shared files
Summary(es.UTF-8):	Colección de compiladores GNU: el compilador C y ficheros compartidos
Summary(pl.UTF-8):	Kolekcja kompilatorów GNU: kompilator C i pliki współdzielone
Summary(pt_BR.UTF-8):	Coleção dos compiladores GNU: o compilador C e arquivos compartilhados
License:	GPL v3+
Group:		Development/Languages
Requires:	%{name}
Requires:	libgcc-multilib = %{epoch}:%{version}-%{release}
%{?with_multilib:Provides:	gcc(multilib)}
Obsoletes:	libgcc32
%ifarch %{x8664}
Requires:	glibc-devel(i686)
%endif
%ifarch ppc64
Requires:	glibc-devel(ppc)
%endif
%ifarch s390x
Requires:	glibc-devel(s390)
%endif
%ifarch sparc64
Requires:	glibc-devel(sparcv9)
%endif

%description multilib
A compiler aimed at integrating all the optimizations and features
necessary for a high-performance and stable development environment.

This package contains the C compiler and some files shared by various
parts of the GNU Compiler Collection. In order to use another GCC
compiler you will need to install the appropriate subpackage.

%description multilib -l es.UTF-8
Un compilador que intenta integrar todas las optimalizaciones y
características necesarias para un entorno de desarrollo eficaz y
estable.

Este paquete contiene el compilador de C y unos ficheros compartidos
por varias partes de la colección de compiladores GNU (GCC). Para usar
otro compilador de GCC será necesario que instale el subpaquete
adecuado.

%description multilib -l pl.UTF-8
Kompilator, posiadający duże możliwości optymalizacyjne niezbędne do
wyprodukowania szybkiego i stabilnego kodu wynikowego.

Ten pakiet zawiera kompilator C i pliki współdzielone przez różne
części kolekcji kompilatorów GNU (GCC). Żeby używać innego kompilatora
z GCC, trzeba zainstalować odpowiedni podpakiet.

%description multilib -l pt_BR.UTF-8
Este pacote adiciona infraestrutura básica e suporte a linguagem C ao
GNU Compiler Collection.

%package -n libgcc
Summary:	Shared gcc library
Summary(es.UTF-8):	Biblioteca compartida de gcc
Summary(pl.UTF-8):	Biblioteka gcc
Summary(pt_BR.UTF-8):	Biblioteca runtime para o GCC
License:	GPL v2+ with unlimited link permission
Group:		Libraries
Obsoletes:	libgcc1
Obsoletes:	libgcc4

%description -n libgcc
Shared gcc library.

%description -n libgcc -l es.UTF-8
Biblioteca compartida de gcc.

%description -n libgcc -l pl.UTF-8
Biblioteka dynamiczna gcc.

%description -n libgcc -l pt_BR.UTF-8
Biblioteca runtime para o GCC.

%package -n libgcc-multilib
Summary:	Shared gcc library
Summary(es.UTF-8):	Biblioteca compartida de gcc
Summary(pl.UTF-8):	Biblioteka gcc
Summary(pt_BR.UTF-8):	Biblioteca runtime para o GCC
License:	GPL v2+ with unlimited link permission
Group:		Libraries

%description -n libgcc-multilib
Shared gcc library.

%description -n libgcc-multilib -l es.UTF-8
Biblioteca compartida de gcc.

%description -n libgcc-multilib -l pl.UTF-8
Biblioteka dynamiczna gcc.

%description -n libgcc-multilib -l pt_BR.UTF-8
Biblioteca runtime para o GCC.

%package -n libgomp
Summary:	GNU OpenMP library
Summary(pl.UTF-8):	Biblioteka GNU OpenMP
License:	LGPL v2.1+ with unlimited link permission
Group:		Libraries

%description -n libgomp
GNU OpenMP library.

%description -n libgomp -l pl.UTF-8
Biblioteka GNU OpenMP.

%package -n libgomp-multilib
Summary:	GNU OpenMP library
Summary(pl.UTF-8):	Biblioteka GNU OpenMP
License:	LGPL v2.1+ with unlimited link permission
Group:		Libraries

%description -n libgomp-multilib
GNU OpenMP library.

%description -n libgomp-multilib -l pl.UTF-8
Biblioteka GNU OpenMP.

%package -n libgomp-devel
Summary:	Development files for GNU OpenMP library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki GNU OpenMP
License:	LGPL v2.1+ with unlimited link permission
Group:		Development/Libraries
Requires:	libgomp = %{epoch}:%{version}-%{release}

%description -n libgomp-devel
Development files for GNU OpenMP library.

%description -n libgomp-devel -l pl.UTF-8
Pliki programistyczne biblioteki GNU OpenMP.

%package -n libgomp-multilib-devel
Summary:	Development files for GNU OpenMP library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki GNU OpenMP
License:	LGPL v2.1+ with unlimited link permission
Group:		Development/Libraries
Requires:	libgomp-devel = %{epoch}:%{version}-%{release}

%description -n libgomp-multilib-devel
Development files for GNU OpenMP library.

%description -n libgomp-multilib-devel -l pl.UTF-8
Pliki programistyczne biblioteki GNU OpenMP.

%package -n libgomp-static
Summary:	Static GNU OpenMP library
Summary(pl.UTF-8):	Statyczna biblioteka GNU OpenMP
License:	LGPL v2.1+ with unlimited link permission
Group:		Development/Libraries
Requires:	libgomp-devel = %{epoch}:%{version}-%{release}

%description -n libgomp-static
Static GNU OpenMP library.

%description -n libgomp-static -l pl.UTF-8
Statyczna biblioteka GNU OpenMP.

%package -n libgomp-multilib-static
Summary:	Static GNU OpenMP library
Summary(pl.UTF-8):	Statyczna biblioteka GNU OpenMP
License:	LGPL v2.1+ with unlimited link permission
Group:		Development/Libraries
Requires:	libgomp-multilib-devel

%description -n libgomp-multilib-static
Static GNU OpenMP library.

%description -n libgomp-multilib-static -l pl.UTF-8
Statyczna biblioteka GNU OpenMP.

%package -n libmudflap
Summary:	GCC mudflap shared support library
Summary(pl.UTF-8):	Współdzielona biblioteka wspomagająca GCC mudflap
License:	GPL v2+ with unlimited link permission
Group:		Libraries

%description -n libmudflap
The libmudflap libraries are used by GCC for instrumenting pointer and
array dereferencing operations.

%description -n libmudflap -l pl.UTF-8
Biblioteki libmudflap są używane przez GCC do obsługi operacji
dereferencji wspaźników i tablic.

%package -n libmudflap-multilib
Summary:	GCC mudflap shared support library
Summary(pl.UTF-8):	Współdzielona biblioteka wspomagająca GCC mudflap
License:	GPL v2+ with unlimited link permission
Group:		Libraries

%description -n libmudflap-multilib
The libmudflap libraries are used by GCC for instrumenting pointer and
array dereferencing operations.

%description -n libmudflap-multilib -l pl.UTF-8
Biblioteki libmudflap są używane przez GCC do obsługi operacji
dereferencji wspaźników i tablic.

%package -n libmudflap-devel
Summary:	Development files for GCC mudflap library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki GCC mudflap
License:	GPL v2+ with unlimited link permission
Group:		Development/Libraries
Requires:	libmudflap = %{epoch}:%{version}-%{release}

%description -n libmudflap-devel
The libmudflap libraries are used by GCC for instrumenting pointer and
array dereferencing operations. This package contains development
files.

%description -n libmudflap-devel -l pl.UTF-8
Biblioteki libmudflap są używane przez GCC do obsługi operacji
dereferencji wspaźników i tablic. Ten pakiet zawiera pliki
programistyczne.

%package -n libmudflap-multilib-devel
Summary:	Development files for GCC mudflap library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki GCC mudflap
License:	GPL v2+ with unlimited link permission
Group:		Development/Libraries
Requires:	libmudflap-devel = %{epoch}:%{version}-%{release}

%description -n libmudflap-multilib-devel
The libmudflap libraries are used by GCC for instrumenting pointer and
array dereferencing operations. This package contains development
files.

%description -n libmudflap-multilib-devel -l pl.UTF-8
Biblioteki libmudflap są używane przez GCC do obsługi operacji
dereferencji wspaźników i tablic. Ten pakiet zawiera pliki
programistyczne.

%package -n libmudflap-static
Summary:	Static GCC mudflap library
Summary(pl.UTF-8):	Statyczna biblioteka GCC mudflap
License:	GPL v2+ with unlimited link permission
Group:		Development/Libraries
Requires:	libmudflap-devel = %{epoch}:%{version}-%{release}

%description -n libmudflap-static
The libmudflap libraries are used by GCC for instrumenting pointer and
array dereferencing operations. This package contains static
libraries.

%description -n libmudflap-static -l pl.UTF-8
Biblioteki libmudflap są używane przez GCC do obsługi operacji
dereferencji wspaźników i tablic. Ten pakiet zawiera biblioteki
statyczne.

%package -n libmudflap-multilib-static
Summary:	Static GCC mudflap library
Summary(pl.UTF-8):	Statyczna biblioteka GCC mudflap
License:	GPL v2+ with unlimited link permission
Group:		Development/Libraries
Requires:	libmudflap-multilib-devel

%description -n libmudflap-multilib-static
The libmudflap libraries are used by GCC for instrumenting pointer and
array dereferencing operations. This package contains static
libraries.

%description -n libmudflap-multilib-static -l pl.UTF-8
Biblioteki libmudflap są używane przez GCC do obsługi operacji
dereferencji wspaźników i tablic. Ten pakiet zawiera biblioteki
statyczne.

%package ada
Summary:	Ada support for gcc
Summary(es.UTF-8):	Soporte de Ada para gcc
Summary(pl.UTF-8):	Obsługa Ady do gcc
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libgnat = %{epoch}:%{version}-%{release}
Obsoletes:	gcc-gnat
Obsoletes:	gnat-devel

%description ada
This package adds experimental support for compiling Ada programs.

%description ada -l es.UTF-8
Este paquete añade soporte experimental para compilar programas en
Ada.

%description ada -l pl.UTF-8
Ten pakiet dodaje eksperymentalne wsparcie dla kompilacji programów w
Adzie.

%package ada-multilib
Summary:	Ada support for gcc
Summary(es.UTF-8):	Soporte de Ada para gcc
Summary(pl.UTF-8):	Obsługa Ady do gcc
Group:		Development/Languages
Requires:	%{name}-ada = %{epoch}:%{version}-%{release}
Requires:	libgnat-multilib = %{epoch}:%{version}-%{release}

%description ada-multilib
This package adds experimental support for compiling Ada programs.

%description ada-multilib -l es.UTF-8
Este paquete añade soporte experimental para compilar programas en
Ada.

%description ada-multilib -l pl.UTF-8
Ten pakiet dodaje eksperymentalne wsparcie dla kompilacji programów w
Adzie.

%package -n libgnat
Summary:	Ada standard libraries
Summary(es.UTF-8):	Bibliotecas estándares de Ada
Summary(pl.UTF-8):	Biblioteki standardowe dla Ady
License:	GPL v2+ with linking exception
Group:		Libraries
Obsoletes:	gnat
Obsoletes:	libgnat1

%description -n libgnat
This package contains shared libraries needed to run programs written
in Ada.

%description -n libgnat -l es.UTF-8
Este paquete contiene las bibliotecas compartidas necesarias para
ejecutar programas escritos en Ada.

%description -n libgnat -l pl.UTF-8
Ten pakiet zawiera biblioteki potrzebne do uruchamiania programów
napisanych w Adzie.

%package -n libgnat-multilib
Summary:	Ada standard libraries
Summary(es.UTF-8):	Bibliotecas estándares de Ada
Summary(pl.UTF-8):	Biblioteki standardowe dla Ady
License:	GPL v2+ with linking exception
Group:		Libraries

%description -n libgnat-multilib
This package contains shared libraries needed to run programs written
in Ada.

%description -n libgnat-multilib -l es.UTF-8
Este paquete contiene las bibliotecas compartidas necesarias para
ejecutar programas escritos en Ada.

%description -n libgnat-multilib -l pl.UTF-8
Ten pakiet zawiera biblioteki potrzebne do uruchamiania programów
napisanych w Adzie.

%package -n libgnat-static
Summary:	Static Ada standard libraries
Summary(pl.UTF-8):	Statyczne biblioteki standardowe dla Ady
License:	GPL v2+ with linking exception
Group:		Development/Libraries
Obsoletes:	gnat-static

%description -n libgnat-static
This package contains static libraries for programs written in Ada.

%description -n libgnat-static -l pl.UTF-8
Ten pakiet zawiera biblioteki statyczne dla programów napisanych w
Adzie.

%package -n libgnat-multilib-static
Summary:	Static Ada standard libraries
Summary(pl.UTF-8):	Statyczne biblioteki standardowe dla Ady
License:	GPL v2+ with linking exception
Group:		Development/Libraries

%description -n libgnat-multilib-static
This package contains static libraries for programs written in Ada.

%description -n libgnat-multilib-static -l pl.UTF-8
Ten pakiet zawiera biblioteki statyczne dla programów napisanych w
Adzie.

%package c++
Summary:	C++ support for gcc
Summary(es.UTF-8):	Soporte de C++ para gcc
Summary(pl.UTF-8):	Obsługa C++ dla gcc
Summary(pt_BR.UTF-8):	Suporte C++ para o gcc
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	egcc-c++
Obsoletes:	egcs-c++
Obsoletes:	gcc4-c++

%description c++
This package adds C++ support to the GNU Compiler Collection. It
includes support for most of the current C++ specification, including
templates and exception handling. It does not include a standard C++
library, which is available separately.

%description c++ -l de.UTF-8
Dieses Paket enthält die C++-Unterstützung für den
GNU-Compiler-Collection. Es unterstützt die aktuelle
C++-Spezifikation, inkl. Templates und Ausnahmeverarbeitung. Eine
C++-Standard-Library ist nicht enthalten - sie ist getrennt
erhältlich.

%description c++ -l es.UTF-8
Este paquete añade soporte de C++ al GCC (colección de compiladores
GNU). Ello incluye el soporte para la mayoría de la especificación
actual de C++, incluyendo plantillas y manejo de excepciones. No
incluye la biblioteca estándar de C++, la que es disponible separada.

%description c++ -l fr.UTF-8
Ce package ajoute un support C++ a la collection de compilateurs GNU.
Il comprend un support pour la plupart des spécifications actuelles de
C++, dont les modéles et la gestion des exceptions. Il ne comprend pas
une bibliothéque C++ standard, qui est disponible séparément.

%description c++ -l pl.UTF-8
Ten pakiet dodaje obsługę C++ do kompilatora gcc. Ma wsparcie dla
dużej ilości obecnych specyfikacji C++, nie zawiera natomiast
standardowych bibliotek C++, które są w oddzielnym pakiecie.

%description c++ -l pt_BR.UTF-8
Este pacote adiciona suporte C++ para o gcc.

%description c++ -l tr.UTF-8
Bu paket, GNU C derleyicisine C++ desteği ekler. 'Template'ler ve
aykırı durum işleme gibi çoğu güncel C++ tanımlarına uyar. Standart
C++ kitaplığı bu pakette yer almaz.

%package c++-multilib
Summary:	C++ support for gcc
Summary(es.UTF-8):	Soporte de C++ para gcc
Summary(pl.UTF-8):	Obsługa C++ dla gcc
Summary(pt_BR.UTF-8):	Suporte C++ para o gcc
Group:		Development/Languages
Requires:	%{name}-c++
Requires:	%{name}-multilib

%description c++-multilib
This package adds C++ support to the GNU Compiler Collection. It
includes support for most of the current C++ specification, including
templates and exception handling. It does not include a standard C++
library, which is available separately.

%description c++-multilib -l de.UTF-8
Dieses Paket enthält die C++-Unterstützung für den
GNU-Compiler-Collection. Es unterstützt die aktuelle
C++-Spezifikation, inkl. Templates und Ausnahmeverarbeitung. Eine
C++-Standard-Library ist nicht enthalten - sie ist getrennt
erhältlich.

%description c++-multilib -l es.UTF-8
Este paquete añade soporte de C++ al GCC (colección de compiladores
GNU). Ello incluye el soporte para la mayoría de la especificación
actual de C++, incluyendo plantillas y manejo de excepciones. No
incluye la biblioteca estándar de C++, la que es disponible separada.

%description c++-multilib -l fr.UTF-8
Ce package ajoute un support C++ a la collection de compilateurs GNU.
Il comprend un support pour la plupart des spécifications actuelles de
C++, dont les modéles et la gestion des exceptions. Il ne comprend pas
une bibliothéque C++ standard, qui est disponible séparément.

%description c++-multilib -l pl.UTF-8
Ten pakiet dodaje obsługę C++ do kompilatora gcc. Ma wsparcie dla
dużej ilości obecnych specyfikacji C++, nie zawiera natomiast
standardowych bibliotek C++, które są w oddzielnym pakiecie.

%description c++-multilib -l pt_BR.UTF-8
Este pacote adiciona suporte C++ para o gcc.

%description c++-multilib -l tr.UTF-8
Bu paket, GNU C derleyicisine C++ desteği ekler. 'Template'ler ve
aykırı durum işleme gibi çoğu güncel C++ tanımlarına uyar. Standart
C++ kitaplığı bu pakette yer almaz.

%package -n libstdc++
Summary:	GNU C++ library
Summary(es.UTF-8):	Biblioteca C++ de GNU
Summary(pl.UTF-8):	Biblioteki GNU C++
Summary(pt_BR.UTF-8):	Biblioteca C++ GNU
License:	GPL v2+ with free software exception
Group:		Libraries
# >= instead of = to allow keeping older libstdc++ (with different soname)
Requires:	libgcc >= %{epoch}:%{version}-%{release}
Obsoletes:	libg++
Obsoletes:	libstdc++3
Obsoletes:	libstdc++4

%description -n libstdc++
This is the GNU implementation of the standard C++ libraries, along
with additional GNU tools. This package includes the shared libraries
necessary to run C++ applications.

%description -n libstdc++ -l de.UTF-8
Dies ist die GNU-Implementierung der Standard-C++-Libraries mit
weiteren GNU-Tools. Dieses Paket enthält die zum Ausführen von
C++-Anwendungen erforderlichen gemeinsam genutzten Libraries.

%description -n libstdc++ -l es.UTF-8
Este es el soporte de las bibliotecas padrón del C++, junto con
herramientas GNU adicionales. El paquete incluye las bibliotecas
compartidas necesarias para ejecutar aplicaciones C++.

%description -n libstdc++ -l fr.UTF-8
Ceci est l'implémentation GNU des librairies C++ standard, ainsi que
des outils GNU supplémentaires. Ce package comprend les librairies
partagées nécessaires à l'exécution d'application C++.

%description -n libstdc++ -l pl.UTF-8
Pakiet ten zawiera biblioteki będące implementacją standardowych
bibliotek C++. Znajdują się w nim biblioteki dynamiczne niezbędne do
uruchomienia aplikacji napisanych w C++.

%description -n libstdc++ -l pt_BR.UTF-8
Este pacote é uma implementação da biblioteca padrão C++ v3, um
subconjunto do padrão ISO 14882.

%description -n libstdc++ -l tr.UTF-8
Bu paket, standart C++ kitaplıklarının GNU gerçeklemesidir ve C++
uygulamalarının koşturulması için gerekli kitaplıkları içerir.

%package -n libstdc++-multilib
Summary:	GNU C++ library
Summary(es.UTF-8):	Biblioteca C++ de GNU
Summary(pl.UTF-8):	Biblioteki GNU C++
Summary(pt_BR.UTF-8):	Biblioteca C++ GNU
License:	GPL v2+ with free software exception
Group:		Libraries
# >= instead of = to allow keeping older libstdc++ (with different soname)
Requires:	libgcc-multilib >= %{epoch}:%{version}-%{release}

%description -n libstdc++-multilib
This is the GNU implementation of the standard C++ libraries, along
with additional GNU tools. This package includes the shared libraries
necessary to run C++ applications.

%description -n libstdc++-multilib -l de.UTF-8
Dies ist die GNU-Implementierung der Standard-C++-Libraries mit
weiteren GNU-Tools. Dieses Paket enthält die zum Ausführen von
C++-Anwendungen erforderlichen gemeinsam genutzten Libraries.

%description -n libstdc++-multilib -l es.UTF-8
Este es el soporte de las bibliotecas padrón del C++, junto con
herramientas GNU adicionales. El paquete incluye las bibliotecas
compartidas necesarias para ejecutar aplicaciones C++.

%description -n libstdc++-multilib -l fr.UTF-8
Ceci est l'implémentation GNU des librairies C++ standard, ainsi que
des outils GNU supplémentaires. Ce package comprend les librairies
partagées nécessaires à l'exécution d'application C++.

%description -n libstdc++-multilib -l pl.UTF-8
Pakiet ten zawiera biblioteki będące implementacją standardowych
bibliotek C++. Znajdują się w nim biblioteki dynamiczne niezbędne do
uruchomienia aplikacji napisanych w C++.

%description -n libstdc++-multilib -l pt_BR.UTF-8
Este pacote é uma implementação da biblioteca padrão C++ v3, um
subconjunto do padrão ISO 14882.

%description -n libstdc++-multilib -l tr.UTF-8
Bu paket, standart C++ kitaplıklarının GNU gerçeklemesidir ve C++
uygulamalarının koşturulması için gerekli kitaplıkları içerir.

%package -n libstdc++-devel
Summary:	Header files and documentation for C++ development
Summary(de.UTF-8):	Header-Dateien zur Entwicklung mit C++
Summary(es.UTF-8):	Ficheros de cabecera y documentación para desarrollo C++
Summary(fr.UTF-8):	Fichiers d'en-tête et biblitothèques pour développer en C++
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do biblioteki standardowej C++
Summary(pt_BR.UTF-8):	Arquivos de inclusão e bibliotecas para o desenvolvimento em C++
Summary(tr.UTF-8):	C++ ile program geliştirmek için gerekli dosyalar
License:	GPL v2+ with free software exception
Group:		Development/Libraries
Requires:	%{name}-c++ = %{epoch}:%{version}-%{release}
Requires:	glibc-devel
Requires:	libstdc++ = %{epoch}:%{version}-%{release}
Obsoletes:	libg++-devel
Obsoletes:	libstdc++3-devel
Obsoletes:	libstdc++4-devel

%description -n libstdc++-devel
This is the GNU implementation of the standard C++ libraries. This
package includes the header files needed for C++ development and
library documentation.

%description -n libstdc++-devel -l es.UTF-8
Este es el soporte de las bibliotecas padrón del lenguaje C++. Este
paquete incluye los archivos de inclusión y bibliotecas necesarios
para desarrollo de programas en lenguaje C++.

%description -n libstdc++-devel -l pl.UTF-8
Pakiet ten zawiera biblioteki będące implementacją standardowych
bibliotek C++. Znajdują się w nim pliki nagłówkowe wykorzystywane przy
programowaniu w języku C++ oraz dokumentacja biblioteki standardowej.

%description -n libstdc++-devel -l pt_BR.UTF-8
Este pacote inclui os arquivos de inclusão e bibliotecas necessárias
para desenvolvimento de programas C++.

%package -n libstdc++-multilib-devel
Summary:	Header files and documentation for C++ development
Summary(de.UTF-8):	Header-Dateien zur Entwicklung mit C++
Summary(es.UTF-8):	Ficheros de cabecera y documentación para desarrollo C++
Summary(fr.UTF-8):	Fichiers d'en-tête et biblitothèques pour développer en C++
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do biblioteki standardowej C++
Summary(pt_BR.UTF-8):	Arquivos de inclusão e bibliotecas para o desenvolvimento em C++
Summary(tr.UTF-8):	C++ ile program geliştirmek için gerekli dosyalar
License:	GPL v2+ with free software exception
Group:		Development/Libraries
Requires:	%{name}-c++-multilib
Requires:	libstdc++-devel = %{epoch}:%{version}-%{release}
Requires:	libstdc++-multilib = %{epoch}:%{version}-%{release}

%description -n libstdc++-multilib-devel
This is the GNU implementation of the standard C++ libraries. This
package includes the header files needed for C++ development and
library documentation.

%description -n libstdc++-multilib-devel -l es.UTF-8
Este es el soporte de las bibliotecas padrón del lenguaje C++. Este
paquete incluye los archivos de inclusión y bibliotecas necesarios
para desarrollo de programas en lenguaje C++.

%description -n libstdc++-multilib-devel -l pl.UTF-8
Pakiet ten zawiera biblioteki będące implementacją standardowych
bibliotek C++. Znajdują się w nim pliki nagłówkowe wykorzystywane przy
programowaniu w języku C++ oraz dokumentacja biblioteki standardowej.

%description -n libstdc++-multilib-devel -l pt_BR.UTF-8
Este pacote inclui os arquivos de inclusão e bibliotecas necessárias
para desenvolvimento de programas C++.

%package -n libstdc++-static
Summary:	Static C++ standard library
Summary(es.UTF-8):	Biblioteca estándar estática de C++
Summary(pl.UTF-8):	Statyczna biblioteka standardowa C++
License:	GPL v2+ with free software exception
Group:		Development/Libraries
Requires:	libstdc++-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libstdc++4-static

%description -n libstdc++-static
Static C++ standard library.

%description -n libstdc++-static -l es.UTF-8
Biblioteca estándar estática de C++.

%description -n libstdc++-static -l pl.UTF-8
Statyczna biblioteka standardowa C++.

%package -n libstdc++-multilib-static
Summary:	Static C++ standard library
Summary(es.UTF-8):	Biblioteca estándar estática de C++
Summary(pl.UTF-8):	Statyczna biblioteka standardowa C++
License:	GPL v2+ with free software exception
Group:		Development/Libraries
Requires:	libstdc++-multilib-devel

%description -n libstdc++-multilib-static
Static C++ standard library.

%description -n libstdc++-multilib-static -l es.UTF-8
Biblioteca estándar estática de C++.

%description -n libstdc++-multilib-static -l pl.UTF-8
Statyczna biblioteka standardowa C++.

%package fortran
Summary:	Fortran 95 support for gcc
Summary(es.UTF-8):	Soporte de Fortran 95 para gcc
Summary(pl.UTF-8):	Obsługa Fortranu 95 dla gcc
Summary(pt_BR.UTF-8):	Suporte Fortran 95 para o GCC
Group:		Development/Languages/Fortran
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libgfortran = %{epoch}:%{version}-%{release}
Provides:	gcc-g77 = %{epoch}:%{version}-%{release}
Obsoletes:	egcs-g77
Obsoletes:	gcc-g77

%description fortran
This package adds support for compiling Fortran 95 programs with the
GNU compiler.

%description fortran -l es.UTF-8
Este paquete añade soporte para compilar programas escritos en Fortran
95 con el compilador GNU.

%description fortran -l pl.UTF-8
Ten pakiet dodaje obsługę Fortranu 95 do kompilatora gcc. Jest
potrzebny do kompilowania programów pisanych w języku Fortran 95.

%description fortran -l pt_BR.UTF-8
Suporte Fortran 95 para o GCC.

%package fortran-multilib
Summary:	Fortran 95 support for gcc
Summary(es.UTF-8):	Soporte de Fortran 95 para gcc
Summary(pl.UTF-8):	Obsługa Fortranu 95 dla gcc
Summary(pt_BR.UTF-8):	Suporte Fortran 95 para o GCC
Group:		Development/Languages/Fortran
Requires:	%{name}-fortran
Requires:	libgfortran-multilib

%description fortran-multilib
This package adds support for compiling Fortran 95 programs with the
GNU compiler.

%description fortran-multilib -l es.UTF-8
Este paquete añade soporte para compilar programas escritos en Fortran
95 con el compilador GNU.

%description fortran-multilib -l pl.UTF-8
Ten pakiet dodaje obsługę Fortranu 95 do kompilatora gcc. Jest
potrzebny do kompilowania programów pisanych w języku Fortran 95.

%description fortran-multilib -l pt_BR.UTF-8
Suporte Fortran 95 para o GCC.

%package -n libgfortran
Summary:	Fortran 95 Libraries
Summary(es.UTF-8):	Bibliotecas de Fortran 95
Summary(pl.UTF-8):	Biblioteki Fortranu 95
License:	GPL v2+ with unlimited link permission
Group:		Libraries
Obsoletes:	libg2c

%description -n libgfortran
Fortran 95 Libraries.

%description -n libgfortran -l es.UTF-8
Bibliotecas de Fortran 95.

%description -n libgfortran -l pl.UTF-8
Biblioteki Fortranu 95.

%package -n libgfortran-multilib
Summary:	Fortran 95 Libraries
Summary(es.UTF-8):	Bibliotecas de Fortran 95
Summary(pl.UTF-8):	Biblioteki Fortranu 95
License:	GPL v2+ with unlimited link permission
Group:		Libraries

%description -n libgfortran-multilib
Fortran 95 Libraries.

%description -n libgfortran-multilib -l es.UTF-8
Bibliotecas de Fortran 95.

%description -n libgfortran-multilib -l pl.UTF-8
Biblioteki Fortranu 95.

%package -n libgfortran-static
Summary:	Static Fortran 95 Libraries
Summary(es.UTF-8):	Bibliotecas estáticas de Fortran 95
Summary(pl.UTF-8):	Statyczne Biblioteki Fortranu 95
License:	GPL v2+ with unlimited link permission
Group:		Development/Libraries
Requires:	libgfortran = %{epoch}:%{version}-%{release}
Obsoletes:	libg2c-static

%description -n libgfortran-static
Static Fortran 95 Libraries.

%description -n libgfortran-static -l es.UTF-8
Bibliotecas estáticas de Fortran 95.

%description -n libgfortran-static -l pl.UTF-8
Statyczne biblioteki Fortranu 95.

%package -n libgfortran-multilib-static
Summary:	Static Fortran 95 Libraries
Summary(es.UTF-8):	Bibliotecas estáticas de Fortran 95
Summary(pl.UTF-8):	Statyczne Biblioteki Fortranu 95
License:	GPL v2+ with unlimited link permission
Group:		Development/Libraries
Requires:	libgfortran-multilib

%description -n libgfortran-multilib-static
Static Fortran 95 Libraries.

%description -n libgfortran-multilib-static -l es.UTF-8
Bibliotecas estáticas de Fortran 95.

%description -n libgfortran-multilib-static -l pl.UTF-8
Statyczne biblioteki Fortranu 95.

%package java
Summary:	Java support for gcc
Summary(es.UTF-8):	Soporte de Java para gcc
Summary(pl.UTF-8):	Obsługa Javy dla gcc
Group:		Development/Languages/Java
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libgcj-devel = %{epoch}:%{version}-%{release}
Provides:	gcc-java-tools
Provides:	gcj = %{epoch}:%{version}-%{release}
Obsoletes:	eclipse-ecj
Obsoletes:	gcc-java-tools
Obsoletes:	java-gnu-classpath-tools

%description java
This package adds experimental support for compiling Java(TM) programs
and bytecode into native code. To use this you will also need the
libgcj package.

%description java -l es.UTF-8
Este paquete añade soporte experimental para compilar programas
Java(tm) y su bytecode en código nativo. Para usarlo también va a
necesitar el paquete libgcj.

%description java -l pl.UTF-8
Ten pakiet dodaje możliwość kompilowania programów w języku Java(TM)
oraz bajtkodu do kodu natywnego. Do używania go wymagany jest
dodatkowo pakiet libgcj.

%package -n libgcj
Summary:	Java Class Libraries
Summary(es.UTF-8):	Bibliotecas de clases de Java
Summary(pl.UTF-8):	Biblioteki Klas Javy
License:	GPL v2+ with limited linking exception
Group:		Libraries
Requires:	jpackage-utils
Provides:	java(ClassDataVersion) = %{_classdataversion}
Obsoletes:	libgcj3

%description -n libgcj
Java Class Libraries.

%description -n libgcj -l es.UTF-8
Bibliotecas de clases de Java.

%description -n libgcj -l pl.UTF-8
Biblioteki Klas Javy.

%package -n libgcj-devel
Summary:	Development files for Java Class Libraries
Summary(es.UTF-8):	Ficheros de desarrollo para las bibliotecas de clases de Java
Summary(pl.UTF-8):	Pliki nagłówkowe dla Bibliotek Klas Javy
License:	GPL v2+ with limited linking exception
Group:		Development/Libraries
Requires:	libgcj = %{epoch}:%{version}-%{release}
Requires:	zlib-devel
Obsoletes:	libgcj3-devel

%description -n libgcj-devel
Development files for Java Class Libraries.

%description -n libgcj-devel -l es.UTF-8
Ficheros de desarrollo para las bibliotecas de clases de Java.

%description -n libgcj-devel -l pl.UTF-8
Pliki nagłówkowe dla Bibliotek Klas Javy.

%package -n libgcj-static
Summary:	Static Java Class Libraries
Summary(es.UTF-8):	Bibliotecas estáticas de clases de Java
Summary(pl.UTF-8):	Statyczne Biblioteki Klas Javy
License:	GPL v2+ with limited linking exception
Group:		Development/Libraries
Requires:	libgcj-devel = %{epoch}:%{version}-%{release}
Requires:	libstdc++-devel = %{epoch}:%{version}-%{release}

%description -n libgcj-static
Static Java Class Libraries.

%description -n libgcj-static -l es.UTF-8
Bibliotecas estáticas de clases de Java.

%description -n libgcj-static -l pl.UTF-8
Statyczne Biblioteki Klas Javy.

%package -n libffi
Summary:	Foreign Function Interface library
Summary(es.UTF-8):	Biblioteca de interfaz de funciones ajenas
Summary(pl.UTF-8):	Biblioteka zewnętrznych wywołań funkcji
License:	BSD-like
Group:		Libraries

%description -n libffi
The libffi library provides a portable, high level programming
interface to various calling conventions. This allows a programmer to
call any function specified by a call interface description at run
time.

%description -n libffi -l es.UTF-8
La biblioteca libffi provee una interfaz portable de programación de
alto nivel para varias convenciones de llamada. Ello permite que un
programador llame una función cualquiera especificada por una
descripción de interfaz de llamada en el tiempo de ejecución.

%description -n libffi -l pl.UTF-8
Biblioteka libffi dostarcza przenośnego, wysokopoziomowego
międzymordzia do różnych konwencji wywołań funkcji. Pozwala to
programiście wywoływać dowolne funkcje podając konwencję wywołania w
czasie wykonania.

%package -n libffi-multilib
Summary:	Foreign Function Interface library
Summary(es.UTF-8):	Biblioteca de interfaz de funciones ajenas
Summary(pl.UTF-8):	Biblioteka zewnętrznych wywołań funkcji
License:	BSD-like
Group:		Libraries

%description -n libffi-multilib
The libffi library provides a portable, high level programming
interface to various calling conventions. This allows a programmer to
call any function specified by a call interface description at run
time.

%description -n libffi-multilib -l es.UTF-8
La biblioteca libffi provee una interfaz portable de programación de
alto nivel para varias convenciones de llamada. Ello permite que un
programador llame una función cualquiera especificada por una
descripción de interfaz de llamada en el tiempo de ejecución.

%description -n libffi-multilib -l pl.UTF-8
Biblioteka libffi dostarcza przenośnego, wysokopoziomowego
międzymordzia do różnych konwencji wywołań funkcji. Pozwala to
programiście wywoływać dowolne funkcje podając konwencję wywołania w
czasie wykonania.

%package -n libffi-devel
Summary:	Development files for Foreign Function Interface library
Summary(es.UTF-8):	Ficheros de desarrollo para libffi
Summary(pl.UTF-8):	Pliki nagłówkowe dla libffi
License:	BSD-like
Group:		Development/Libraries
Requires:	libffi = %{epoch}:%{version}-%{release}

%description -n libffi-devel
Development files for Foreign Function Interface library.

%description -n libffi-devel -l es.UTF-8
Ficheros de desarrollo para libffi.

%description -n libffi-devel -l pl.UTF-8
Pliki nagłówkowe dla libffi.

%package -n libffi-multilib-devel
Summary:	Development files for Foreign Function Interface library
Summary(es.UTF-8):	Ficheros de desarrollo para libffi
Summary(pl.UTF-8):	Pliki nagłówkowe dla libffi
License:	BSD-like
Group:		Development/Libraries
Requires:	libffi-devel
Requires:	libffi-multilib

%description -n libffi-multilib-devel
Development files for Foreign Function Interface library.

%description -n libffi-multilib-devel -l es.UTF-8
Ficheros de desarrollo para libffi.

%description -n libffi-multilib-devel -l pl.UTF-8
Pliki nagłówkowe dla libffi.

%package -n libffi-static
Summary:	Static Foreign Function Interface library
Summary(es.UTF-8):	Biblioteca libffi estática
Summary(pl.UTF-8):	Statyczna biblioteka libffi
License:	BSD-like
Group:		Development/Libraries
Requires:	libffi-devel = %{epoch}:%{version}-%{release}

%description -n libffi-static
Static Foreign Function Interface library.

%description -n libffi-static -l es.UTF-8
Biblioteca libffi estática.

%description -n libffi-static -l pl.UTF-8
Statyczna biblioteka libffi.

%package -n libffi-multilib-static
Summary:	Static Foreign Function Interface library
Summary(es.UTF-8):	Biblioteca libffi estática
Summary(pl.UTF-8):	Statyczna biblioteka libffi
License:	BSD-like
Group:		Development/Libraries
Requires:	libffi-multilib-devel

%description -n libffi-multilib-static
Static Foreign Function Interface library.

%description -n libffi-multilib-static -l es.UTF-8
Biblioteca libffi estática.

%description -n libffi-multilib-static -l pl.UTF-8
Statyczna biblioteka libffi.

%package objc
Summary:	Objective C support for gcc
Summary(de.UTF-8):	Objektive C-Unterstützung für gcc
Summary(es.UTF-8):	Soporte de Objective C para gcc
Summary(fr.UTF-8):	Gestion d'Objective C pour gcc
Summary(pl.UTF-8):	Obsługa obiektowego C dla kompilatora gcc
Summary(tr.UTF-8):	gcc için Objective C desteği
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libobjc = %{epoch}:%{version}-%{release}
Obsoletes:	egcc-objc
Obsoletes:	egcs-objc

%description objc
This package adds Objective C support to the GNU Compiler Collection.
Objective C is a object oriented derivative of the C language, mainly
used on systems running NeXTSTEP. This package does not include the
standard objective C object library.

%description objc -l de.UTF-8
Dieses Paket ergänzt den GNU-Compiler-Collection durch
Objective-C-Support. Objective C ist ein objektorientiertes Derivat
von C, das zur Hauptsache auf Systemen mit NeXTSTEP zum Einsatz kommt.
Die Standard-Objective-C-Objekt-Library ist nicht Teil des Pakets.

%description objc -l es.UTF-8
Este paquete añade soporte de Objective C al GCC (colección de
compiladores GNU). Objective C es un lenguaje orientado a objetos
derivado de C, principalmente usado en sistemas que funcionan bajo
NeXTSTEP. El paquete no incluye la biblioteca de objetos estándar de
Objective C.

%description objc -l fr.UTF-8
Ce package ajoute un support Objective C a la collection de
compilateurs GNU. L'Objective C est un langage orienté objetdérivé du
langage C, principalement utilisé sur les systèmes NeXTSTEP. Ce
package n'inclue pas la bibliothéque Objective C standard.

%description objc -l pl.UTF-8
Ten pakiet dodaje obsługę obiektowego C do kompilatora gcc. Obiektowe
C (objc) jest zorientowaną obiektowo pochodną języka C, używaną
głównie w systemach używających NeXTSTEP. W pakiecie nie ma
standardowej biblioteki objc (która znajduje się w osobnym pakiecie).

%description objc -l tr.UTF-8
Bu paket, GNU C derleyicisine Objective C desteği ekler. Objective C,
C dilinin nesne yönelik bir türevidir ve NeXTSTEP altında çalışan
sistemlerde yaygın olarak kullanılır. Standart Objective C nesne
kitaplığı bu pakette yer almaz.

%package objc-multilib
Summary:	Objective C support for gcc
Summary(de.UTF-8):	Objektive C-Unterstützung für gcc
Summary(es.UTF-8):	Soporte de Objective C para gcc
Summary(fr.UTF-8):	Gestion d'Objective C pour gcc
Summary(pl.UTF-8):	Obsługa obiektowego C dla kompilatora gcc
Summary(tr.UTF-8):	gcc için Objective C desteği
Group:		Development/Languages
Requires:	%{name}-multilib
Requires:	libobjc-multilib

%description objc-multilib
This package adds Objective C support to the GNU Compiler Collection.
Objective C is a object oriented derivative of the C language, mainly
used on systems running NeXTSTEP. This package does not include the
standard objective C object library.

%description objc-multilib -l de.UTF-8
Dieses Paket ergänzt den GNU-Compiler-Collection durch
Objective-C-Support. Objective C ist ein objektorientiertes Derivat
von C, das zur Hauptsache auf Systemen mit NeXTSTEP zum Einsatz kommt.
Die Standard-Objective-C-Objekt-Library ist nicht Teil des Pakets.

%description objc-multilib -l es.UTF-8
Este paquete añade soporte de Objective C al GCC (colección de
compiladores GNU). Objective C es un lenguaje orientado a objetos
derivado de C, principalmente usado en sistemas que funcionan bajo
NeXTSTEP. El paquete no incluye la biblioteca de objetos estándar de
Objective C.

%description objc-multilib -l fr.UTF-8
Ce package ajoute un support Objective C a la collection de
compilateurs GNU. L'Objective C est un langage orienté objetdérivé du
langage C, principalement utilisé sur les systèmes NeXTSTEP. Ce
package n'inclue pas la bibliothéque Objective C standard.

%description objc-multilib -l pl.UTF-8
Ten pakiet dodaje obsługę obiektowego C do kompilatora gcc. Obiektowe
C (objc) jest zorientowaną obiektowo pochodną języka C, używaną
głównie w systemach używających NeXTSTEP. W pakiecie nie ma
standardowej biblioteki objc (która znajduje się w osobnym pakiecie).

%description objc-multilib -l tr.UTF-8
Bu paket, GNU C derleyicisine Objective C desteği ekler. Objective C,
C dilinin nesne yönelik bir türevidir ve NeXTSTEP altında çalışan
sistemlerde yaygın olarak kullanılır. Standart Objective C nesne
kitaplığı bu pakette yer almaz.

%package objc++
Summary:	Objective C++ support for gcc
Summary(pl.UTF-8):	Obsługa języka Objective C++ dla gcc
Group:		Development/Languages
Requires:	%{name}-c++ = %{epoch}:%{version}-%{release}
Requires:	%{name}-objc = %{epoch}:%{version}-%{release}

%description objc++
This package adds Objective C++ support to the GNU Compiler
Collection.

%description objc++ -l pl.UTF-8
Ten pakiet dodaje obsługę języka Objective C++ do zestawu kompilatorów
GNU Compiler Collection.

%package -n libobjc
Summary:	Objective C Libraries
Summary(es.UTF-8):	Bibliotecas de Objective C
Summary(pl.UTF-8):	Biblioteki Obiektowego C
License:	GPL v2+ with linking exception
Group:		Libraries
Obsoletes:	libobjc1

%description -n libobjc
Objective C Libraries.

%description -n libobjc -l es.UTF-8
Bibliotecas de Objective C.

%description -n libobjc -l pl.UTF-8
Biblioteki Obiektowego C.

%package -n libobjc-multilib
Summary:	Objective C Libraries
Summary(es.UTF-8):	Bibliotecas de Objective C
Summary(pl.UTF-8):	Biblioteki Obiektowego C
License:	GPL v2+ with linking exception
Group:		Libraries

%description -n libobjc-multilib
Objective C Libraries.

%description -n libobjc-multilib -l es.UTF-8
Bibliotecas de Objective C.

%description -n libobjc-multilib -l pl.UTF-8
Biblioteki Obiektowego C.

%package -n libobjc-static
Summary:	Static Objective C Libraries
Summary(es.UTF-8):	Bibliotecas estáticas de Objective C
Summary(pl.UTF-8):	Statyczne Biblioteki Obiektowego C
License:	GPL v2+ with linking exception
Group:		Development/Libraries
Requires:	libobjc = %{epoch}:%{version}-%{release}

%description -n libobjc-static
Static Objective C Libraries.

%description -n libobjc-static -l es.UTF-8
Bibliotecas estáticas de Objective C.

%description -n libobjc-static -l pl.UTF-8
Statyczne biblioteki Obiektowego C.

%package -n libobjc-multilib-static
Summary:	Static Objective C Libraries
Summary(es.UTF-8):	Bibliotecas estáticas de Objective C
Summary(pl.UTF-8):	Statyczne Biblioteki Obiektowego C
License:	GPL v2+ with linking exception
Group:		Development/Libraries
Requires:	libobjc-multilib

%description -n libobjc-multilib-static
Static Objective C Libraries.

%description -n libobjc-multilib-static -l es.UTF-8
Bibliotecas estáticas de Objective C.

%description -n libobjc-multilib-static -l pl.UTF-8
Statyczne biblioteki Obiektowego C.

%prep
%setup -q
#%patch100 -p0
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%patch6 -p1
%patch7 -p0
%if %{with qt}
%patch8 -p1
%endif
%{!?with_bootstrap:patch9 -p1}
%patch10 -p0
%{!?with_bootstrap:%patch11 -p0}

mv ChangeLog ChangeLog.general

%if %{with java}
# see contrib/download_ecj
install %{SOURCE2} ecj.jar
%endif

# override snapshot version.
echo %{version} > gcc/BASE-VER
echo "release" > gcc/DEV-PHASE

%build
cd gcc
#{__autoconf}
cd ..
%if %{with qt}
cd libjava/classpath
%{__autoconf}
cd ../..
%endif
cp -f /usr/share/automake/config.sub .

rm -rf builddir && install -d builddir && cd builddir

# http://www.mailinglistarchive.com/java%40gcc.gnu.org/msg02751.html
export JAR=no

CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
CXXFLAGS="%{rpmcxxflags}" \
TEXCONFIG=false \
../configure \
	--prefix=%{_prefix} \
	--with-local-prefix=%{_prefix}/local \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--x-libraries=%{_libdir} \
	--enable-checking=release \
	--enable-shared \
	--enable-threads=posix \
	--enable-linux-futex \
	--enable-languages="c%{?with_cxx:,c++}%{?with_fortran:,fortran}%{?with_objc:,objc}%{?with_objcxx:,obj-c++}%{?with_ada:,ada}%{?with_java:,java}" \
	--%{?with_gomp:en}%{!?with_gomp:dis}able-libgomp \
	--%{?with_mudflap:en}%{!?with_mudflap:dis}able-libmudflap \
	--enable-c99 \
	--enable-long-long \
	--enable-decimal-float=yes \
	--%{?with_multilib:en}%{!?with_multilib:dis}able-multilib \
	--enable-nls \
	--disable-werror \
%ifarch %{ix86} %{x8664}
	--disable-cld \
%endif
%ifarch sparc64
	--with-cpu=ultrasparc \
%endif
	--with-gnu-as \
	--with-gnu-ld \
	--with-demangler-in-ld \
	--with-system-zlib \
	--with-ppl=no \
	--with-cloog=no \
	--with-slibdir=%{_slibdir} \
%ifnarch ia64
	--without-system-libunwind \
%else
	--with-system-libunwind \
%endif
	%{!?with_java:--without-x} \
	%{?with_fortran:--enable-cmath} \
	--with-long-double-128 \
%ifarch ppc ppc64
	--enable-secureplt \
%endif
%if %{with cxx}
	--with-gxx-include-dir=%{_includedir}/c++/%{version} \
	--disable-libstdcxx-pch \
	--enable-__cxa_atexit \
	--enable-libstdcxx-allocator=new \
%endif
%if %{with java}
	--enable-libjava-multilib=no \
	%{!?with_alsa:--disable-alsa} \
	%{!?with_dssi:--disable-dssi} \
	--disable-gconf-peer \
%if %{with x}
	--enable-java-awt="xlib%{?with_gtk:,gtk}%{?with_qt:,qt}" \
%endif
	%{?with_mozilla:--enable-plugin} \
	--enable-libgcj \
	--enable-libgcj-multifile \
	--enable-libgcj-database \
	%{?with_gtk:--enable-gtk-cairo} \
	--enable-jni \
	--enable-xmlj \
%endif
	--%{?with_bootstrap:en}%{!?with_bootstrap:dis}able-bootstrap \
	--with-pkgversion="PLD-Linux" \
	--with-bugurl="http://bugs.pld-linux.org" \
	%{_target_platform}

cd ..

cat << 'EOF' > Makefile
all := $(filter-out all Makefile,$(MAKECMDGOALS))

all $(all):
	$(MAKE) -C builddir $(MAKE_OPTS) $(all) \
		%{?with_bootstrap:%{?with_profiling:profiledbootstrap}} \
		GCJFLAGS="%{rpmcflags}" \
		BOOT_CFLAGS="%{rpmcflags}" \
		STAGE1_CFLAGS="%{rpmcflags} -O0" \
		GNATLIBCFLAGS="%{rpmcflags}" \
		LDFLAGS_FOR_TARGET="%{rpmldflags}" \
		mandir=%{_mandir} \
		infodir=%{_infodir}
EOF

%{__make}

%if %{with tests}
if [ ! -r /dev/pts/0 ]; then
	echo "You need to have /dev/pts mounted to avoid expect's spawn failures!"
	exit 1
fi
%{__make} -k -C builddir check 2>&1 ||:
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib,%{_aclocaldir},%{_datadir},%{_infodir}}

cd builddir

%{__make} -j1 install \
	mandir=%{_mandir} \
	infodir=%{_infodir} \
	DESTDIR=$RPM_BUILD_ROOT

install gcc/specs $RPM_BUILD_ROOT%{_libdir}/gcc/%{_target_platform}/%{version}

%if %{with multilib}
# create links
%ifarch sparc64
ln -f $RPM_BUILD_ROOT%{_bindir}/sparc64-pld-linux-gcc \
	$RPM_BUILD_ROOT%{_bindir}/sparc-pld-linux-gcc
ln -f $RPM_BUILD_ROOT%{_bindir}/sparc64-pld-linux-gcc-%{version} \
	$RPM_BUILD_ROOT%{_bindir}/sparc-pld-linux-gcc-%{version}
%if %{with cxx}
ln -f $RPM_BUILD_ROOT%{_bindir}/sparc64-pld-linux-c++ \
	$RPM_BUILD_ROOT%{_bindir}/sparc-pld-linux-c++
ln -f $RPM_BUILD_ROOT%{_bindir}/sparc64-pld-linux-g++ \
	$RPM_BUILD_ROOT%{_bindir}/sparc-pld-linux-g++
%endif
%if %{with java}
ln -f $RPM_BUILD_ROOT%{_bindir}/sparc64-pld-linux-gcj \
	$RPM_BUILD_ROOT%{_bindir}/sparc-pld-linux-gcj
%endif
%endif
%endif

ln -sf %{_bindir}/cpp $RPM_BUILD_ROOT/lib/cpp
ln -sf gcc $RPM_BUILD_ROOT%{_bindir}/cc
echo ".so gcc.1" > $RPM_BUILD_ROOT%{_mandir}/man1/cc.1

libssp=$(cd $RPM_BUILD_ROOT%{_libdir}; echo libssp.so.*.*.*)
mv $RPM_BUILD_ROOT{%{_libdir}/$libssp,%{_slibdir}}
ln -sf %{_slibdir}/$libssp $RPM_BUILD_ROOT%{_libdir}/libssp.so
%if %{with multilib}
libssp=$(cd $RPM_BUILD_ROOT%{_libdir32}; echo libssp.so.*.*.*)
mv $RPM_BUILD_ROOT{%{_libdir32}/$libssp,%{_slibdir32}}
ln -sf %{_slibdir32}/$libssp $RPM_BUILD_ROOT%{_libdir32}/libssp.so
%endif

%if %{with fortran}
ln -sf gfortran $RPM_BUILD_ROOT%{_bindir}/g95
echo ".so gfortran.1" > $RPM_BUILD_ROOT%{_mandir}/man1/g95.1
%endif

%if %{with ada}
# move ada shared libraries to proper place...
mv -f	$RPM_BUILD_ROOT%{_libdir}/gcc/*/*/adalib/*.so.1 \
	$RPM_BUILD_ROOT%{_libdir}
# check if symlink to be made is valid
test -f	$RPM_BUILD_ROOT%{_libdir}/libgnat-4.4.so.1
ln -sf	libgnat-4.4.so.1 $RPM_BUILD_ROOT%{_libdir}/libgnat-4.4.so
ln -sf	libgnarl-4.4.so.1 $RPM_BUILD_ROOT%{_libdir}/libgnarl-4.4.so
ln -sf	libgnat-4.4.so $RPM_BUILD_ROOT%{_libdir}/libgnat.so
ln -sf	libgnarl-4.4.so $RPM_BUILD_ROOT%{_libdir}/libgnarl.so
%if %{with multilib}
mv -f	$RPM_BUILD_ROOT%{_libdir}/gcc/*/*/32/adalib/*.so.1 \
	$RPM_BUILD_ROOT%{_libdir32}
# check if symlink to be made is valid
test -f	$RPM_BUILD_ROOT%{_libdir32}/libgnat-4.4.so.1
ln -sf	libgnat-4.4.so.1 $RPM_BUILD_ROOT%{_libdir32}/libgnat-4.4.so
ln -sf	libgnarl-4.4.so.1 $RPM_BUILD_ROOT%{_libdir32}/libgnarl-4.4.so
ln -sf	libgnat-4.4.so $RPM_BUILD_ROOT%{_libdir32}/libgnat.so
ln -sf	libgnarl-4.4.so $RPM_BUILD_ROOT%{_libdir32}/libgnarl.so
%endif
%endif

cd ..

%if %{with java}
install -d java-doc
cp -f libjava/READ* java-doc
ln -sf libgcj-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/libgcj.jar
rm -f $RPM_BUILD_ROOT%{_libdir}/classpath/libgjs*.la
# tools.zip sources
rm -rf $RPM_BUILD_ROOT%{_datadir}/classpath/tools/gnu
%endif
%if %{with objc}
cp -f libobjc/README gcc/objc/README.libobjc
%endif

# gcj-$version-$gcjsonamever
%define	gcjdbexecdir	gcj-%{version}-10

# avoid -L poisoning in *.la - there should be only -L%{_libdir}/gcc/*/%{version}
# normalize libdir, to avoid propagation of unnecessary RPATHs by libtool
for f in libssp.la libssp_nonshared.la \
	%{?with_cxx:libstdc++.la libsupc++.la} \
	%{?with_fortran:libgfortran.la} \
	%{?with_gomp:libgomp.la} \
	%{?with_mudflap:libmudflap.la libmudflapth.la} \
%if %{with java}
	libffi.la libgcj.la libgcj-tools.la libgij.la \
	%{gcjdbexecdir}/libjvm.la \
	%{gcjdbexecdir}/libxmlj.la \
	%{?with_x:lib-gnu-awt-xlib.la} \
	%{?with_gtk:%{gcjdbexecdir}/libgtkpeer.la %{gcjdbexecdir}/libjawt.la} \
	%{?with_qt:%{gcjdbexecdir}/libqtpeer.la} \
	%{?with_alsa:%{gcjdbexecdir}/libgjsmalsa.la} \
	%{?with_dssi:%{gcjdbexecdir}/libgjsmdssi.la} \
%endif
	%{?with_objc:libobjc.la};
do
	%{__perl} %{SOURCE1} $RPM_BUILD_ROOT%{_libdir}/$f %{_libdir} > $RPM_BUILD_ROOT%{_libdir}/$f.fixed
	mv $RPM_BUILD_ROOT%{_libdir}/$f{.fixed,}
done
%if %{with multilib}
for f in libssp.la libssp_nonshared.la \
	%{?with_cxx:libstdc++.la libsupc++.la} \
	%{?with_fortran:libgfortran.la} \
	%{?with_gomp:libgomp.la} \
	%{?with_mudflap:libmudflap.la libmudflapth.la} \
	%{?with_java:libffi.la} \
	%{?with_objc:libobjc.la};
do
	%{__perl} %{SOURCE1} $RPM_BUILD_ROOT%{_libdir32}/$f %{_libdir32} > $RPM_BUILD_ROOT%{_libdir32}/$f.fixed
	mv $RPM_BUILD_ROOT%{_libdir32}/$f{.fixed,}
done
%endif

gccdir=$(echo $RPM_BUILD_ROOT%{_libdir}/gcc/*/*)
cp $gccdir/install-tools/include/*.h $gccdir/include
cp $gccdir/include-fixed/syslimits.h $gccdir/include
rm -rf $gccdir/install-tools
rm -rf $gccdir/include-fixed

%find_lang gcc
%find_lang cpplib
cat cpplib.lang >> gcc.lang

%if %{with cxx}
%find_lang libstdc\+\+
install libstdc++-v3/include/precompiled/* $RPM_BUILD_ROOT%{_includedir}
%endif

# svn snap doesn't contain (release does) below files,
# so let's create dummy entries to satisfy %%files.
[ ! -f NEWS ] && touch NEWS
[ ! -f libgfortran/AUTHORS ] && touch libgfortran/AUTHORS
[ ! -f libgfortran/README ] && touch libgfortran/README

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post ada	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun ada	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post fortran	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun fortran	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post java	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun java	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	-p /sbin/ldconfig -n libgcc
%postun	-p /sbin/ldconfig -n libgcc
%post	-p /sbin/ldconfig -n libgcc-multilib
%postun	-p /sbin/ldconfig -n libgcc-multilib
%post	-p /sbin/ldconfig -n libgomp
%postun	-p /sbin/ldconfig -n libgomp
%post	-p /sbin/ldconfig -n libgomp-multilib
%postun	-p /sbin/ldconfig -n libgomp-multilib
%post	-p /sbin/ldconfig -n libmudflap
%postun	-p /sbin/ldconfig -n libmudflap
%post	-p /sbin/ldconfig -n libmudflap-multilib
%postun	-p /sbin/ldconfig -n libmudflap-multilib
%post	-p /sbin/ldconfig -n libgnat
%postun	-p /sbin/ldconfig -n libgnat
%post	-p /sbin/ldconfig -n libgnat-multilib
%postun	-p /sbin/ldconfig -n libgnat-multilib
%post	-p /sbin/ldconfig -n libstdc++
%postun	-p /sbin/ldconfig -n libstdc++
%post	-p /sbin/ldconfig -n libstdc++-multilib
%postun	-p /sbin/ldconfig -n libstdc++-multilib
%post	-p /sbin/ldconfig -n libgfortran
%postun	-p /sbin/ldconfig -n libgfortran
%post	-p /sbin/ldconfig -n libgfortran-multilib
%postun	-p /sbin/ldconfig -n libgfortran-multilib
%post	-p /sbin/ldconfig -n libgcj
%postun	-p /sbin/ldconfig -n libgcj
%post	-p /sbin/ldconfig -n libffi
%postun	-p /sbin/ldconfig -n libffi
%post	-p /sbin/ldconfig -n libffi-multilib
%postun	-p /sbin/ldconfig -n libffi-multilib
%post	-p /sbin/ldconfig -n libobjc
%postun	-p /sbin/ldconfig -n libobjc
%post	-p /sbin/ldconfig -n libobjc-multilib
%postun	-p /sbin/ldconfig -n libobjc-multilib

%files -f gcc.lang
%defattr(644,root,root,755)
%doc ChangeLog.general MAINTAINERS NEWS
# bugs.html faq.html
%doc gcc/{ChangeLog,ONEWS,README.Portability}
%dir %{_libdir}/gcc
%dir %{_libdir}/gcc/*
%dir %{_libdir}/gcc/*/*
%attr(755,root,root) %{_bindir}/*-gcc*
%attr(755,root,root) %{_bindir}/gcc
%attr(755,root,root) %{_bindir}/gccbug
%attr(755,root,root) %{_bindir}/gcov
%attr(755,root,root) %{_bindir}/cc
%attr(755,root,root) %{_bindir}/cpp
%{_mandir}/man1/cc.1*
%{_mandir}/man1/cpp.1*
%{_mandir}/man1/gcc.1*
%{_mandir}/man1/gcov.1*
%{_infodir}/cpp*
%{_infodir}/gcc*
%attr(755,root,root) /lib/cpp
%attr(755,root,root) %{_slibdir}/lib*.so
%{_libdir}/libssp.a
%{_libdir}/libssp.la
%attr(755,root,root) %{_libdir}/libssp.so
%{_libdir}/libssp_nonshared.a
%{_libdir}/libssp_nonshared.la
%{_libdir}/gcc/*/*/libgcov.a
%{_libdir}/gcc/*/*/libgcc.a
%{_libdir}/gcc/*/*/libgcc_eh.a
%{_libdir}/gcc/*/*/specs
%{_libdir}/gcc/*/*/crt*.o
%attr(755,root,root) %{_libdir}/gcc/*/*/cc1
%attr(755,root,root) %{_libdir}/gcc/*/*/collect2
%dir %{_libdir}/gcc/*/*/include
%dir %{_libdir}/gcc/*/*/include/ssp
%{_libdir}/gcc/*/*/include/ssp/*.h
%{_libdir}/gcc/*/*/include/float.h
%{_libdir}/gcc/*/*/include/iso646.h
%{_libdir}/gcc/*/*/include/limits.h
%{?with_gomp:%{_libdir}/gcc/*/*/include/omp.h}
%{_libdir}/gcc/*/*/include/stdarg.h
%{_libdir}/gcc/*/*/include/stdbool.h
%{_libdir}/gcc/*/*/include/stddef.h
%{_libdir}/gcc/*/*/include/stdfix.h
%{_libdir}/gcc/*/*/include/syslimits.h
%{_libdir}/gcc/*/*/include/unwind.h
%{_libdir}/gcc/*/*/include/varargs.h
%ifarch %{ix86} %{x8664}
%{_libdir}/gcc/*/*/include/ammintrin.h
%{_libdir}/gcc/*/*/include/avxintrin.h
%{_libdir}/gcc/*/*/include/bmmintrin.h
%{_libdir}/gcc/*/*/include/cpuid.h
%{_libdir}/gcc/*/*/include/cross-stdarg.h
%{_libdir}/gcc/*/*/include/emmintrin.h
%{_libdir}/gcc/*/*/include/immintrin.h
%{_libdir}/gcc/*/*/include/mm3dnow.h
%{_libdir}/gcc/*/*/include/mm_malloc.h
%{_libdir}/gcc/*/*/include/mmintrin-common.h
%{_libdir}/gcc/*/*/include/mmintrin.h
%{_libdir}/gcc/*/*/include/nmmintrin.h
%{_libdir}/gcc/*/*/include/pmmintrin.h
%{_libdir}/gcc/*/*/include/smmintrin.h
%{_libdir}/gcc/*/*/include/tmmintrin.h
%{_libdir}/gcc/*/*/include/wmmintrin.h
%{_libdir}/gcc/*/*/include/x86intrin.h
%{_libdir}/gcc/*/*/include/xmmintrin.h
%endif
%ifarch powerpc ppc ppc64
%{_libdir}/gcc/*/*/include/altivec.h
%{_libdir}/gcc/*/*/include/paired.h
%{_libdir}/gcc/*/*/include/ppc-asm.h
%{_libdir}/gcc/*/*/include/ppu_intrinsics.h
%{_libdir}/gcc/*/*/include/si2vmx.h
%{_libdir}/gcc/*/*/include/spe.h
%{_libdir}/gcc/*/*/include/spu2vmx.h
%{_libdir}/gcc/*/*/include/vec_types.h
%endif

%if %{with multilib}
%files multilib
%defattr(644,root,root,755)
%attr(755,root,root) %{_slibdir32}/lib*.so
%dir %{_libdir}/gcc/*/*/32
%{_libdir}/gcc/*/*/32/crt*.o
%{_libdir}/gcc/*/*/32/libgcov.a
%{_libdir}/gcc/*/*/32/libgcc.a
%{_libdir}/gcc/*/*/32/libgcc_eh.a
%{_libdir32}/libssp.a
%{_libdir32}/libssp.la
%attr(755,root,root) %{_libdir32}/libssp.so
%{_libdir32}/libssp_nonshared.a
%{_libdir32}/libssp_nonshared.la
%endif

%files -n libgcc
%defattr(644,root,root,755)
%attr(755,root,root) %{_slibdir}/lib*.so.*

%if %{with multilib}
%files -n libgcc-multilib
%defattr(644,root,root,755)
%attr(755,root,root) %{_slibdir32}/lib*.so.*
%endif

%if %{with gomp}
%files -n libgomp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgomp.so.*.*.*

%if %{with multilib}
%files -n libgomp-multilib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir32}/libgomp.so.*.*.*
%endif

%files -n libgomp-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgomp.so
%{_libdir}/libgomp.la
%{_libdir}/libgomp.spec
%{_libdir}/gcc/*/*/finclude
%{_infodir}/libgomp*

%if %{with multilib}
%files -n libgomp-multilib-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir32}/libgomp.so
%{_libdir32}/libgomp.la
%{_libdir32}/libgomp.spec
%endif

%files -n libgomp-static
%defattr(644,root,root,755)
%{_libdir}/libgomp.a

%if %{with multilib}
%files -n libgomp-multilib-static
%defattr(644,root,root,755)
%{_libdir32}/libgomp.a
%endif
%endif

%if %{with mudflap}
%files -n libmudflap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmudflap*.so.*.*.*

%if %{with multilib}
%files -n libmudflap-multilib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir32}/libmudflap*.so.*.*.*
%endif

%files -n libmudflap-devel
%defattr(644,root,root,755)
%{_libdir}/gcc/*/*/include/mf-runtime.h
%{_libdir}/libmudflap*.la
%attr(755,root,root) %{_libdir}/libmudflap*.so

%if %{with multilib}
%files -n libmudflap-multilib-devel
%defattr(644,root,root,755)
%{_libdir32}/libmudflap*.la
%attr(755,root,root) %{_libdir32}/libmudflap*.so
%endif

%files -n libmudflap-static
%defattr(644,root,root,755)
%{_libdir}/libmudflap*.a

%if %{with multilib}
%files -n libmudflap-multilib-static
%defattr(644,root,root,755)
%{_libdir32}/libmudflap*.a
%endif
%endif

%if %{with ada}
%files ada
%defattr(644,root,root,755)
%doc gcc/ada/ChangeLog
%attr(755,root,root) %{_bindir}/gnat*
%if %{with java}
%exclude %{_bindir}/gnative2ascii
%endif
%attr(755,root,root) %{_libdir}/libgnarl*.so
%attr(755,root,root) %{_libdir}/libgnat*.so
%attr(755,root,root) %{_libdir}/gcc/*/*/gnat1
%{_libdir}/gcc/*/*/adainclude
%dir %{_libdir}/gcc/*/*/adalib
%{_libdir}/gcc/*/*/adalib/*.ali
%{_libdir}/gcc/*/*/adalib/g-trasym.o
%{_libdir}/gcc/*/*/adalib/libgccprefix.a
%ifarch %{ix86} %{x8664}
%{_libdir}/gcc/*/*/adalib/libgmem.a
%endif
%{_infodir}/gnat*

%if %{with multilib}
%files ada-multilib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir32}/libgnarl*.so
%attr(755,root,root) %{_libdir32}/libgnat*.so
%{_libdir}/gcc/*/*/32/adainclude
%dir %{_libdir}/gcc/*/*/32/adalib
%{_libdir}/gcc/*/*/32/adalib/*.ali
%{_libdir}/gcc/*/*/32/adalib/g-trasym.o
%{_libdir}/gcc/*/*/32/adalib/libgccprefix.a
%ifarch %{ix86} %{x8664}
%{_libdir}/gcc/*/*/32/adalib/libgmem.a
%endif
%endif

%files -n libgnat
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnarl*.so.1
%attr(755,root,root) %{_libdir}/libgnat*.so.1

%if %{with multilib}
%files -n libgnat-multilib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir32}/libgnarl*.so.1
%attr(755,root,root) %{_libdir32}/libgnat*.so.1
%endif

%files -n libgnat-static
%defattr(644,root,root,755)
%{_libdir}/gcc/*/*/adalib/libgnala.a
%{_libdir}/gcc/*/*/adalib/libgnarl.a
%{_libdir}/gcc/*/*/adalib/libgnat.a

%if %{with multilib}
%files -n libgnat-multilib-static
%defattr(644,root,root,755)
%{_libdir}/gcc/*/*/32/adalib/libgnala.a
%{_libdir}/gcc/*/*/32/adalib/libgnarl.a
%{_libdir}/gcc/*/*/32/adalib/libgnat.a
%endif
%endif

%if %{with cxx}
%files c++
%defattr(644,root,root,755)
%doc gcc/cp/{ChangeLog,NEWS}
%attr(755,root,root) %{_bindir}/g++
%attr(755,root,root) %{_bindir}/*-g++
%attr(755,root,root) %{_bindir}/c++
%attr(755,root,root) %{_bindir}/*-c++
%attr(755,root,root) %{_libdir}/gcc/*/*/cc1plus
%{_libdir}/libsupc++.a
%{_libdir}/libsupc++.la
%{_mandir}/man1/g++.1*

%if %{with multilib}
%files c++-multilib
%defattr(644,root,root,755)
%{_libdir32}/libsupc++.a
%{_libdir32}/libsupc++.la
%endif

%files -n libstdc++ -f libstdc++.lang
%defattr(644,root,root,755)
%doc libstdc++-v3/{ChangeLog,README}
%attr(755,root,root) %{_libdir}/libstdc++.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libstdc++.so.6

%if %{with multilib}
%files -n libstdc++-multilib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir32}/libstdc++.so.*.*.*
%attr(755,root,root) %ghost %{_libdir32}/libstdc++.so.6
%endif

%files -n libstdc++-devel
%defattr(644,root,root,755)
%doc libstdc++-v3/doc/html
%dir %{_includedir}/c++
%{_includedir}/c++/%{version}
%{_includedir}/extc++.h
%{_includedir}/stdc++.h
%{_includedir}/stdtr1c++.h
%if %{with java}
%exclude %{_includedir}/c++/%{version}/java
%exclude %{_includedir}/c++/%{version}/javax
%exclude %{_includedir}/c++/%{version}/gcj
%exclude %{_includedir}/c++/%{version}/gnu
%exclude %{_includedir}/c++/%{version}/org
%exclude %{_includedir}/c++/%{version}/sun
%endif
%{_libdir}/libstdc++.la
%attr(755,root,root) %{_libdir}/libstdc++.so

%if %{with multilib}
%files -n libstdc++-multilib-devel
%defattr(644,root,root,755)
%{_libdir32}/libstdc++.la
%attr(755,root,root) %{_libdir32}/libstdc++.so
%endif

%files -n libstdc++-static
%defattr(644,root,root,755)
%{_libdir}/libstdc++.a

%if %{with multilib}
%files -n libstdc++-multilib-static
%defattr(644,root,root,755)
%{_libdir32}/libstdc++.a
%endif
%endif

%if %{with fortran}
%files fortran
%defattr(644,root,root,755)
%doc gcc/fortran/ChangeLog
%attr(755,root,root) %{_bindir}/g95
%attr(755,root,root) %{_bindir}/gfortran
%attr(755,root,root) %{_bindir}/*-gfortran
%{_infodir}/gfortran*
%attr(755,root,root) %{_libdir}/gcc/*/*/f951
%{_libdir}/gcc/*/*/libgfortranbegin.a
%{_libdir}/gcc/*/*/libgfortranbegin.la
%{_libdir}/libgfortran.la
%attr(755,root,root) %{_libdir}/libgfortran.so
%{_mandir}/man1/g95.1*
%{_mandir}/man1/gfortran.1*

%if %{with multilib}
%files fortran-multilib
%defattr(644,root,root,755)
%{_libdir}/gcc/*/*/32/libgfortranbegin.a
%{_libdir}/gcc/*/*/32/libgfortranbegin.la
%{_libdir32}/libgfortran.la
%attr(755,root,root) %{_libdir32}/libgfortran.so
%endif

%files -n libgfortran
%defattr(644,root,root,755)
%doc libgfortran/{AUTHORS,README,ChangeLog}
%attr(755,root,root) %{_libdir}/libgfortran.so.*.*.*

%if %{with multilib}
%files -n libgfortran-multilib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir32}/libgfortran.so.*.*.*
%endif

%files -n libgfortran-static
%defattr(644,root,root,755)
%{_libdir}/libgfortran.a

%if %{with multilib}
%files -n libgfortran-multilib-static
%defattr(644,root,root,755)
%{_libdir32}/libgfortran.a
%endif
%endif

%if %{with java}
%files java
%defattr(644,root,root,755)
%doc gcc/java/ChangeLog java-doc/*
%attr(755,root,root) %{_bindir}/gappletviewer
%attr(755,root,root) %{_bindir}/gc-analyze
%attr(755,root,root) %{_bindir}/gcj*
%attr(755,root,root) %{_bindir}/gjar
%attr(755,root,root) %{_bindir}/gjarsigner
%attr(755,root,root) %{_bindir}/gjavah
%attr(755,root,root) %{_bindir}/gkeytool
%attr(755,root,root) %{_bindir}/gnative2ascii
%attr(755,root,root) %{_bindir}/gorbd
%attr(755,root,root) %{_bindir}/grmi*
%attr(755,root,root) %{_bindir}/gserialver
%attr(755,root,root) %{_bindir}/gtnameserv
%attr(755,root,root) %{_bindir}/jcf-dump
%attr(755,root,root) %{_bindir}/jv-*
%attr(755,root,root) %{_bindir}/*-gcj*
%attr(755,root,root) %{_libdir}/gcc/*/*/ecj1
%attr(755,root,root) %{_libdir}/gcc/*/*/jc1
%attr(755,root,root) %{_libdir}/gcc/*/*/jvgenmain
%{_infodir}/cp-tools*
%{_infodir}/gcj*
%{_mandir}/man1/gappletviewer*
%{_mandir}/man1/gc-analyze*
%{_mandir}/man1/gcj*
%{_mandir}/man1/gjar*
%{_mandir}/man1/gjavah*
%{_mandir}/man1/gkeytool*
%{_mandir}/man1/gnative2ascii*
%{_mandir}/man1/gorbd*
%{_mandir}/man1/grmi*
%{_mandir}/man1/gserialver*
%{_mandir}/man1/gtnameserv*
%{_mandir}/man1/jcf-*
%{_mandir}/man1/jv-*
%{_mandir}/man1/rebuild-gcj-db*

%files -n libgcj
%defattr(644,root,root,755)
%doc libjava/{ChangeLog,LIBGCJ_LICENSE,NEWS,README,THANKS}
%attr(755,root,root) %{_bindir}/gij
%attr(755,root,root) %{_libdir}/libgcj-tools.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgcj-tools.so.10
%attr(755,root,root) %{_libdir}/libgcj.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgcj.so.10
%attr(755,root,root) %{_libdir}/libgcj_bc.so
%attr(755,root,root) %{_libdir}/libgcj_bc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgcj_bc.so.1
%attr(755,root,root) %{_libdir}/libgij.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgij.so.10
%{?with_x:%attr(755,root,root) %{_libdir}/lib-gnu-awt-xlib.so.*.*.*}
%{?with_x:%attr(755,root,root) %ghost %{_libdir}/lib-gnu-awt-xlib.so.10}
%dir %{_libdir}/%{gcjdbexecdir}
%{_libdir}/%{gcjdbexecdir}/classmap.db
%{?with_mozilla:%attr(755,root,root) %{_libdir}/%{gcjdbexecdir}/libgcjwebplugin.so}
%{?with_alsa:%attr(755,root,root) %{_libdir}/%{gcjdbexecdir}/libgjsmalsa.so*}
%{?with_dssi:%attr(755,root,root) %{_libdir}/%{gcjdbexecdir}/libgjsmdssi.so*}
%{?with_gtk:%attr(755,root,root) %{_libdir}/%{gcjdbexecdir}/libgtkpeer.so}
%{?with_gtk:%attr(755,root,root) %{_libdir}/%{gcjdbexecdir}/libjawt.so}
%attr(755,root,root) %{_libdir}/%{gcjdbexecdir}/libjavamath.so
%attr(755,root,root) %{_libdir}/%{gcjdbexecdir}/libjvm.so
%{?with_qt:%attr(755,root,root) %{_libdir}/%{gcjdbexecdir}/libqtpeer.so}
%attr(755,root,root) %{_libdir}/%{gcjdbexecdir}/libxmlj.so*
%{_libdir}/logging.properties
%{_javadir}/libgcj*.jar
%{_javadir}/ecj.jar
%{_mandir}/man1/gij*

%files -n libgcj-devel
%defattr(644,root,root,755)
%{_includedir}/c++/%{version}/java
%{_includedir}/c++/%{version}/javax
%{_includedir}/c++/%{version}/gcj
%{_includedir}/c++/%{version}/gnu
%{_includedir}/c++/%{version}/org
%{_includedir}/c++/%{version}/sun
%{_libdir}/gcc/*/*/include/gcj
%{_libdir}/gcc/*/*/include/jawt.h
%{_libdir}/gcc/*/*/include/jawt_md.h
%{_libdir}/gcc/*/*/include/jni.h
%{_libdir}/gcc/*/*/include/jni_md.h
%{_libdir}/gcc/*/*/include/jvmpi.h
%{?with_alsa:%{_libdir}/%{gcjdbexecdir}/libgjsmalsa.la}
%{?with_dssi:%{_libdir}/%{gcjdbexecdir}/libgjsmdssi.la}
%{?with_gtk:%{_libdir}/%{gcjdbexecdir}/libgtkpeer.la}
%{?with_gtk:%{_libdir}/%{gcjdbexecdir}/libjawt.la}
%{_libdir}/%{gcjdbexecdir}/libjavamath.la
%{_libdir}/%{gcjdbexecdir}/libjvm.la
%{?with_qt:%{_libdir}/%{gcjdbexecdir}/libqtpeer.la}
%{?with_mozilla:%{_libdir}/%{gcjdbexecdir}/libgcjwebplugin.la}
%{_libdir}/%{gcjdbexecdir}/libxmlj.la
%dir %{_libdir}/security
%{_libdir}/security/*
%{_libdir}/libgcj.spec
%{_libdir}/libgcj-tools.la
%attr(755,root,root) %{_libdir}/libgcj-tools.so
%{_libdir}/libgcj.la
%attr(755,root,root) %{_libdir}/libgcj.so
%{_libdir}/libgij.la
%attr(755,root,root) %{_libdir}/libgij.so
%if %{with x}
%attr(755,root,root) %{_libdir}/lib-gnu-awt-xlib.so
%{_libdir}/lib-gnu-awt-xlib.la
%endif
%{_pkgconfigdir}/libgcj-%{major_ver}.pc

%files -n libgcj-static
%defattr(644,root,root,755)
%{_libdir}/%{gcjdbexecdir}/libjvm.a
%{_libdir}/libgcj-tools.a
%{_libdir}/libgcj.a
%{_libdir}/libgcj_bc.a
%{_libdir}/libgij.a
%{?with_x:%{_libdir}/lib-gnu-awt-xlib.a}

%files -n libffi
%defattr(644,root,root,755)
%doc libffi/{ChangeLog,ChangeLog.libgcj,LICENSE,README}
%attr(755,root,root) %{_libdir}/libffi.so.*.*.*

%if %{with multilib}
%files -n libffi-multilib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir32}/libffi.so.*.*.*
%endif

%files -n libffi-devel
%defattr(644,root,root,755)
%{_libdir}/gcc/*/*/include/ffi.h
%{_libdir}/gcc/*/*/include/ffitarget.h
%attr(755,root,root) %{_libdir}/libffi.so
%{_libdir}/libffi.la

%if %{with multilib}
%files -n libffi-multilib-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir32}/libffi.so
%{_libdir32}/libffi.la
%endif

%files -n libffi-static
%defattr(644,root,root,755)
%{_libdir}/libffi.a

%if %{with multilib}
%files -n libffi-multilib-static
%defattr(644,root,root,755)
%{_libdir32}/libffi.a
%endif
%endif

%if %{with objc}
%files objc
%defattr(644,root,root,755)
%doc gcc/objc/README
%attr(755,root,root) %{_libdir}/gcc/*/*/cc1obj
%attr(755,root,root) %{_libdir}/libobjc.so
%{_libdir}/libobjc.la
%{_libdir}/gcc/*/*/include/objc

%if %{with multilib}
%files objc-multilib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir32}/libobjc.so
%{_libdir32}/libobjc.la
%endif

%files -n libobjc
%defattr(644,root,root,755)
%doc libobjc/{ChangeLog,README*}
%attr(755,root,root) %{_libdir}/libobjc.so.*.*.*

%if %{with multilib}
%files -n libobjc-multilib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir32}/libobjc.so.*.*.*
%endif

%files -n libobjc-static
%defattr(644,root,root,755)
%{_libdir}/libobjc.a

%if %{with multilib}
%files -n libobjc-multilib-static
%defattr(644,root,root,755)
%{_libdir32}/libobjc.a
%endif
%endif

%if %{with objcxx}
%files objc++
%defattr(644,root,root,755)
%doc gcc/objcp/ChangeLog
%attr(755,root,root) %{_libdir}/gcc/*/*/cc1objplus
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gcc.spec,v $
Revision 1.602.2.9  2012/01/20 09:11:34  glen
- skip so for libgcc_s.so.1 on ppc

Revision 1.602.2.8  2012/01/18 21:04:15  glen
- revert glibc bump introduced in r1.398; pluto thinks it might be related to long-double-128 support.

Revision 1.602.2.7  2012/01/18 20:58:21  glen
- binutils epoch to really satisfy 2.17.50.0.9

Revision 1.602.2.6  2012/01/18 20:57:25  glen
- libgcj.so.10.0.0 skip so check

Revision 1.602.2.5  2012/01/18 18:45:59  glen
- update skip check_so with libstdc++ (ac glibc does not see ___tls_get_addr (imho rpm-build-macros bug as it is similarily invisible in th too)

Revision 1.602.2.4  2012/01/18 18:44:58  glen
- disable hash-style and build-id patches in bootstrap

Revision 1.602.2.3  2012/01/18 18:43:58  glen
- down gcj dependant bconds when java off

Revision 1.602.2.2  2012/01/18 18:21:15  glen
- up to 4.4.6; disable -gdwarf-3 for bootstrap build; disable ppl/cloog even if detected

Revision 1.602.2.1  2010/06/01 10:58:41  arekm
- up to 4.4.4 but doesn't build

Revision 1.602  2010/04/14 13:57:00  pluto
- speedup bootstrap stage1 build.

Revision 1.601  2010/03/29 05:53:51  arekm
- rel 5; fix patches

Revision 1.600  2010/03/28 20:57:20  arekm
- rel 4

Revision 1.599  2010/03/28 20:35:25  arekm
- release 3

Revision 1.598  2010/02/05 20:13:02  arekm
- rel 2; disable mozilla bcond until it's fixed

Revision 1.597  2010/01/21 18:49:47  arekm
- rel 1; builds

Revision 1.596  2010/01/21 14:59:21  pluto
- updated to 4.4.3, java build broken by recent xulrunner headers!

Revision 1.595  2009/12/06 20:34:09  jajcus
- BR: dssi-devel, not dssi

Revision 1.594  2009/11/24 19:42:40  sparky
- put all make options inside Makefile, so it's easier to restart the build

Revision 1.593  2009/11/12 11:33:54  patrys
- rebuild
- rel 5

Revision 1.592  2009/10/26 21:31:39  arekm
- rel 4; fix patches

Revision 1.591  2009/10/26 20:44:46  arekm
- rel 3; more branch fixes

Revision 1.590  2009/10/25 12:26:03  gotar
- updated binutils R (unknown pseudo-op: `.cfi_sections')

Revision 1.589  2009/10/23 15:04:21  sls
- BR: xorg-lib-libXt-devel

Revision 1.588  2009/10/21 11:14:52  pluto
- release 2, branch diff updated.

Revision 1.587  2009/10/15 14:33:38  pluto
- updated to 4.4.2, branch diff regenerated, release 1.

Revision 1.586  2009/09/18 11:18:58  arekm
- rel 3; branch diff updated

Revision 1.585  2009/07/26 09:35:39  arekm
- rel 2; drop pr14912 patch which causes https://svn.boost.org/trac/boost/ticket/3287

Revision 1.584  2009/07/24 08:21:05  arekm
- check for release

Revision 1.583  2009/07/24 07:33:19  arekm
- up to 4.4.1

Revision 1.582  2009/07/12 16:40:11  arekm
- rel 7; drop patch101 (we don't know where it comes from and it seem to be unmaintained here); update branch diff

Revision 1.581  2009/07/11 10:19:19  pluto
- one more sparcv9 fix.

Revision 1.580  2009/07/07 08:10:22  tommat
- 32bit sparc in th is sparcv9

Revision 1.579  2009/07/01 00:32:06  arekm
- rel 6; more fixes

Revision 1.578  2009/06/28 16:28:16  arekm
- rel 5; upstream fixes

Revision 1.577  2009/06/10 05:47:42  pawelz
- gij supports ClassDataVersion 50 now
- subpackage java obsoletes java-gnu-classpath-tools
- rel 4

Revision 1.576  2009/05/25 05:00:49  tommat
- enable moresparcs patch

Revision 1.575  2009/05/21 16:54:39  tommat
- disable ada for sparc64

Revision 1.574  2009/04/27 07:44:41  arekm
- rel 3

Revision 1.573  2009/04/24 13:18:24  arekm
- rel 2; add latest fixes from 4.4 branch

Revision 1.572  2009/04/22 21:22:02  pawelz
- package rebuild-gcj-db man page
- ghost symlinks for libstdc++ and gcj libs

Revision 1.571  2009/04/21 22:48:35  sparky
- cross-stdarg.h is x86(64)-specyfic

Revision 1.570  2009/04/21 20:54:09  pluto
- reenable ix86 branch diff.

Revision 1.569  2009/04/21 13:29:17  arekm
- up to final 4.4.0

Revision 1.568  2009/04/02 10:59:19  pluto
- remove dead entry in %%files.

Revision 1.567  2009/04/01 18:12:59  pluto
- bump 4.4 branch snapshot, apply smarter template diagnostics patch.

Revision 1.566  2009/03/23 08:14:11  arekm
- enable build-id feature by default

Revision 1.565  2009/02/27 11:28:51  glen
- multilib obsoletes libgcc32; rel .3

Revision 1.564  2009/02/25 22:12:28  baggins
- gcc-fortran requires exact gcc, or you'll get this:
  i686-pld-linux-gfortran: error trying to exec 'cc1': execvp: No such file or directory

Revision 1.563  2009/01/26 19:43:49  pluto
- new snap, decimal float enabled explicitly.

Revision 1.562  2009/01/03 15:10:13  pluto
- initial update for incoming 4.4.0 (stable 4.3 branched as GCC_4_3).

Revision 1.561  2008/11/17 23:48:41  pluto
- strict deps for libstdc++-multilib-devel.

Revision 1.560  2008/11/14 22:20:39  arekm
- rel 5; update branch diff

Revision 1.559  2008/11/05 23:42:15  arekm
- release 4

Revision 1.558  2008/09/11 09:16:40  pluto
- branch.diff updated (fix powerpc wrong code due to insn scheduler bug).
- release 3.

Revision 1.557  2008/09/08 22:03:35  pluto
- branch.diff updated, release 2.

Revision 1.556  2008/08/28 16:29:30  pluto
- correct DEV-PHASE.

Revision 1.555  2008/08/28 15:31:08  pluto
- updated to 4.3.2 w/ additional branch fixes, release 1.

Revision 1.554  2008/08/26 20:01:12  pluto
- updated to 4.3.2-RC1.

Revision 1.553  2008/07/28 12:20:43  blekot
- added Provides: java(ClassDataVersion) = %{_classdataversion}
- rel up (4)

Revision 1.552  2008/07/22 20:41:20  arekm
gcc-java O: eclipse-ecj

Revision 1.551  2008/07/21 12:19:49  arekm
- readline not needed

Revision 1.550  2008/07/20 11:13:30  arekm
- conditional on source is evil

Revision 1.549  2008/07/20 11:10:29  arekm
rel 3; include ecj here; patch by uzi18/o2.pl

Revision 1.548  2008/06/27 20:43:20  arekm
- rel 2

Revision 1.547  2008/06/27 20:37:41  arekm
BR perl-base

Revision 1.546  2008/06/27 20:36:16  arekm
- Call SOURCE1 via perl so it will work even if source file doesn't have executable bit set.

Revision 1.545  2008/06/23 15:12:28  pluto
- branch diff updated, fixes major ia32 bug (kernel-wrong-code).

Revision 1.544  2008/06/20 08:53:38  pluto
- don't require external jar, we have gjar now in gcc-java.
- fix internal jar wrapper build.

Revision 1.543  2008/06/19 18:29:11  pluto
- testing alternative solution to avoid BC:jar...

Revision 1.542  2008/06/16 18:02:38  arekm
- BC jar only if building with java

Revision 1.541  2008/06/16 18:01:28  arekm
- BC: jar

Revision 1.540  2008/06/16 11:16:34  pluto
- apply branch fixes (mostly c++ mem/cpu hogs).
- apply ix86 branch diff for recent intel/amd processors
  with hardware aes/pclmul support.
- disable qt(peer) bcond. build requires ac/am/lt regen but libjava
  runtime (natRuntime.cc) uses deprecated/removed libtool-1.5 api
  (see lt_dlforeach function). finally it doesn;t build at all.
- release 1.

Revision 1.539  2008-06-13 22:09:52  arekm
- libtool solved

Revision 1.538  2008-06-13 11:04:53  arekm
- partial libtool 2.2 workaround. lt_dlforeach() libltdl API was deprecated and we need to find out how to replace it

Revision 1.537  2008-06-09 14:49:23  pluto
- fetch 4.3.1 tarball, release 0.1 dueto TODO.

Revision 1.536  2008-05-29 13:45:14  pluto
- updated to 4.3.1-RC2, needs libtool fix (see TODO).

Revision 1.535  2008-05-28 06:00:33  tommat
- added moresparcs patch, sparcv9 target still not working

Revision 1.534  2008-05-26 14:26:56  pluto
- updated to 4.3.1-RC1.

Revision 1.533  2008-04-30 11:47:29  pluto
- if-java for gnative2ascii exclude.

Revision 1.532  2008-04-18 14:31:24  pluto
- wrong patch dropped, branch.diff updated.

Revision 1.531  2008-04-09 14:16:10  pluto
- gomp/mudflap bconded.

Revision 1.530  2008-04-08 21:22:19  pluto
- s/branch.diff/branch.diff.bz2/

Revision 1.529  2008-03-13 21:47:04  pluto
- restore version overwriting (accidentally removed).

Revision 1.528  2008-03-13 21:01:40  pluto
- branch diff reactivated.

Revision 1.527  2008-03-10 12:10:14  pluto
- support -mcld option (generate cld instruction in fn. prologue).
- userland compiled with gcc43 for old buggy kernels needs this!

Revision 1.526  2008-03-08 07:22:01  pluto
- gcc reqs gmp-devel and mpfr-devel unconditionally now.

Revision 1.525  2008-03-06 23:11:54  pluto
- pass CC=%%{__cc} to configure.

Revision 1.524  2008-03-06 23:01:09  pluto
- alpha_ada-fix.patch not needed.

Revision 1.523  2008-03-06 22:48:55  pluto
- enable optimized __cxa_guard_{acquire,release,abort} for linux.
  http://gcc.gnu.org/ml/gcc-patches/2007-12/msg01195.html

Revision 1.522  2008-03-06 21:24:30  pluto
- new includes for ppc vector unit.

Revision 1.521  2008-03-06 19:34:29  pluto
- s/gsyslimits.h/syslimits.h/

Revision 1.520  2008-03-06 15:35:15  pluto
- libqtpeer.so is back, release 1.

Revision 1.519  2008-03-06 08:22:28  pluto
- fetch final 4.3.0 tarball, qtpeer nfy, kernel has a bug, release 0.1.

Revision 1.518  2008-03-04 20:43:13  pluto
- move omp.h from libgomp-devel to gcc (libstdc++/parallel needs this header).
- move {org,sun} subdirs from libstdc++-devel to libgcj-devel.

Revision 1.517  2008-03-04 20:26:13  pluto
- fixup install/files. qtpeer.so linking needs fix.

Revision 1.516  2008-03-04 15:30:05  pluto
- 4.2.3 copied to GCC_4_2 branch.
- spec updated to 4.3.0-rc2.

Revision 1.515  2008-02-14 19:29:47  pluto
- ldconfig for *-multilib subpkgs.

Revision 1.514  2008-02-01 20:00:36  pluto
- dropped concept checks bcond. current boost-based design of this feature is broken.
  suitable implementation of concepts will be merged into gcc-4.4.
  development branch: http://gcc.gnu.org/projects/cxx0x.html#concepts
- updated to 4.2.3, release 1.

Revision 1.513  2008-01-24 01:36:31  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.512  2008-01-24 01:22:59  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.511  2008-01-18 16:29:55  qboosh
- libstdc++ R: equal or newer libgcc

Revision 1.510  2007-12-29 00:40:26  glen
- obsoletes for ac gcc4 package; rel 3

Revision 1.509  2007-12-09 01:39:13  glen
- R: jpackage-utils for %{_javadir}

Revision 1.508  2007-10-10 12:03:36  pluto
- branch diff updated. wrong-code regressions fixed, release 2.

Revision 1.507  2007/10/09 11:01:47  pluto
- updated to 4.2.2 final, release 1.

Revision 1.506  2007/09/28 14:56:53  pluto
- updated to 4.2.2-RC2.

Revision 1.505  2007/09/16 12:44:32  qboosh
- updated/fixed License tags (gcc is on GPL v3+ now)

Revision 1.504  2007/09/10 13:45:57  pluto
- updated to 4.2.2-RC1.

Revision 1.503  2007/08/28 08:30:04  pluto
- branch.diff updated, release 2.

Revision 1.502  2007/07/22 11:12:08  pluto
- updated to 4.2.1.

Revision 1.501  2007/07/18 05:44:18  arekm
- rel 9; disable concept checks by default

Revision 1.500  2007/07/04 21:55:21  arekm
- rel 8; updated branch diff

Revision 1.499  2007/06/25 22:01:28  pluto
- branch.diff, unnecessary_anonymous_warning.patch updated, release 7.

Revision 1.498  2007/06/12 14:14:47  pluto
- enable concept checks in libstdc++.

Revision 1.497  2007/06/09 14:09:45  arekm
- multilib build needs BR: gcc(multilib)

Revision 1.496  2007/06/09 13:35:37  arekm
- P: gcc(multilib) moved from main package to -multilib subpackage

Revision 1.495  2007/06/09 10:23:20  arekm
- rel 6; branch diff update; gcc-multilib R: libgcc-multilib added

Revision 1.494  2007/06/03 13:08:05  pluto
- multilib split merged from devel, branch diff updated, release 5.

Revision 1.493  2007/05/28 12:36:50  pluto
- remove obsolete patch.

Revision 1.492  2007/05/24 19:28:17  qboosh
- javadeps not used by default (and currently not needed here)

Revision 1.491  2007/05/24 19:13:36  qboosh
- relative .jar symlink within directory

Revision 1.490  2007/05/24 18:23:14  pluto
- java BR rpm-javaprov, release 4.

Revision 1.489  2007/05/21 11:30:54  pluto
- fix patch for PR/30052 that causes an ICE during fortran bootstrap.
- release 3.

Revision 1.488  2007/05/19 17:18:48  qboosh
- sanitize libgij.la

Revision 1.487  2007/05/19 17:13:35  qboosh
- package libgfortranbegin.la

Revision 1.486  2007/05/19 14:36:40  pluto
- fix mem/time hog, release 2.

Revision 1.485  2007/05/19 12:49:36  qboosh
- mozilla bcond (for libgcjwebplugin)

Revision 1.484  2007/05/18 19:33:41  qboosh
- post-snap cleanup (snaps belong to DEVEL branch)

Revision 1.483  2007/05/15 21:07:56  pluto
- 4.2.0 released.

Revision 1.482  2007/05/05 14:27:30  pluto
- turn off unnecessary warnings about anonymous namespaces.

Revision 1.481  2007/05/02 19:27:33  pluto
- 4.2.0-RC3.

Revision 1.480  2007/05/01 21:18:52  pluto
- 4.2.0-RC2.

Revision 1.479  2007/04/25 21:17:40  pluto
- branch diff updated to 20070425.

Revision 1.478  2007/04/18 13:15:02  pluto
- enable .gnu.hash by default, enable libgcjwebplugin.so.

Revision 1.477  2007/04/16 09:38:58  pluto
- branch diff (bugfixes) applied.

Revision 1.476  2007/04/09 00:09:09  baggins
- removed stupid hack

Revision 1.475  2007/04/09 00:06:25  baggins
- removed pre 4.2 changelog entries (40KB of now meaningless text)

Revision 1.474  2007/04/09 00:04:55  baggins
- reverted to rc1, hack around release to avoid bumping epoch
- we don't want broken random snapshots anymore now

Revision 1.473  2007/04/03 07:00:04  arekm
- up to 20070403.r123448

Revision 1.472  2007/03/20 20:13:37  pluto
- fix PR c++/7302, drop broken patches, make testsuite working.

Revision 1.471  2007/03/18 09:50:31  arekm
4.2.0 rc1

Revision 1.470  2007/03/08 00:36:48  pluto
- updated to 4.2.0-20070307.

Revision 1.469  2007/03/01 15:48:22  arekm
- up to 20070228

Revision 1.468  2007/02/24 04:51:15  sls
- BR: libart_lgpl-devel (--with gtk); sorted BR

Revision 1.467  2007/02/22 21:04:12  arekm
- up to 20070221; -pr29943.patch merged

Revision 1.466  2007/02/14 23:06:54  pluto
- updated to 4.2.0-20070214.

Revision 1.465  2007/02/14 21:50:28  pluto
- fix -fsection-anchors ( ppc related ).

Revision 1.464  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.463  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.462  2007/02/10 11:51:55  arekm
- add libgomp info files

Revision 1.461  2007/02/09 23:49:48  arekm
- disable one patch that looks broken according to bugreport

Revision 1.460  2007/02/09 23:40:11  arekm
- snap 20070207; pr19505 already fixed in different way

Revision 1.459  2007/01/26 20:24:54  arekm
- up to 20070126r121214

Revision 1.458  2007/01/14 12:11:26  qboosh
- restored lib-gnu-awt-xlib after my messing (it comes directly from libjava,
  not classpath as I though); added x bcond

Revision 1.457  2007/01/06 11:49:18  pluto
- update

Revision 1.456  2007/01/06 11:43:31  arekm
- use any external jar like fastjar

Revision 1.455  2007/01/05 02:28:42  sls
- BR: perl-tools-pod (fastjar needs pod2man)

Revision 1.454  2007/01/02 11:55:15  arekm
- gmem.a is also available on x86_64

Revision 1.453  2007/01/01 20:50:22  arekm
TODO

Revision 1.452  2007/01/01 18:18:16  arekm
- add --enable-java-awt

Revision 1.451  2007/01/01 14:22:58  arekm
- correct bcond names (?)

Revision 1.450  2007/01/01 00:10:07  arekm
- rel .2

Revision 1.449  2006/12/31 21:29:34  pluto
- up to 20061231r120298

Revision 1.448  2006/12/31 18:25:10  qboosh
- reverted c++config.h splitting, it's already handled by 32 subdir in C++ headers

Revision 1.447  2006/12/31 17:15:26  qboosh
- release .3

Revision 1.446  2006/12/31 03:56:58  qboosh
- bugfix

Revision 1.445  2006/12/31 00:09:02  qboosh
- configure --with-cpu=ultrasparc on sparc64 (merged from AC-branch)

Revision 1.444  2006/12/30 23:59:20  qboosh
- sparc64->sparc hardlinks only if built with multilib
- handle different c++config.h files if c++ is built with multilib

Revision 1.443  2006/12/30 23:47:49  qboosh
- more sparc64->sparc hardlinks (merged from AC-branch)

Revision 1.442  2006/12/30 02:13:36  qboosh
- more libgomp

Revision 1.441  2006/12/30 01:24:55  qboosh
- bugfix

Revision 1.440  2006/12/30 01:11:39  qboosh
- no lib-gnu-awt-xlib

Revision 1.439  2006/12/29 15:29:25  qboosh
- typo

Revision 1.438  2006/12/29 14:32:40  qboosh
- java updates, added alsa,dssi,gtk,qt bconds

Revision 1.437  2006/12/29 13:30:47  qboosh
- added libgomp*

Revision 1.436  2006/12/25 17:50:40  pluto
- up to 4.2-20061225r120195

Revision 1.435  2006/12/07 22:23:05  pluto
- oops, remove local trash.

Revision 1.434  2006/12/07 22:12:01  pluto
- package ppc specific files.

Revision 1.433  2006/12/07 09:55:08  wiget
- one more todo

Revision 1.432  2006/12/06 22:16:28  pluto
- updated to 4.2.0-20061206 (rev. 119598).

Revision 1.431  2006/12/06 15:49:15  pluto
- BR: mpfr-devel >= 2.2.1, updated patch for PR20218, testing...

Revision 1.430  2006/11/19 19:12:48  pluto
- updated to 4.2-20061119 (rev. 118994).

Revision 1.429  2006/11/13 14:56:53  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.428  2006/11/10 19:49:02  pluto
- updated to 4.2.0-20061110 (rev. 118658).
- BR: mpfr-devel >= 2.2.

Revision 1.427  2006/11/01 18:05:39  pluto
- remove dups from c++ %files.

Revision 1.426  2006/11/01 17:59:54  pluto
- java %files updated.

Revision 1.425  2006/11/01 14:02:10  pluto
- package c++ dir.

Revision 1.424  2006/10/31 08:00:33  pluto
- fix %files.

Revision 1.423  2006/10/30 23:37:12  pluto
- updated to 4.2-20061030 (rev. 118195).

Revision 1.422  2006/10/22 15:47:20  pluto
- fix PR target/29512 - O(c^N) complexity algorithm in the i386 backend.
- move c++ headers into versioned dir.

Revision 1.421  2006/10/22 13:29:05  pluto
- disable multlib build ( broken ), fix %files.

Revision 1.420  2006/10/21 18:56:38  pluto
- updated to 4.2.0-20061021 (rev. 117925).
  (4.2 branch created).

Revision 1.419  2006/10/16 15:02:59  qrczak
- PR28230: fixes wrong code generation with -fwrapv

Revision 1.418  2006/09/16 21:07:00  pluto
- java %files updated.

Revision 1.417  2006/09/16 12:47:31  pluto
- updated to 4.2.0-20060916 (rev. 116994).

Revision 1.416  2006/09/03 21:01:12  pluto
- updated to 4.2.0-20060831 (rev. 116602).

Revision 1.415  2006/08/07 12:04:06  pluto
- BR: s/perl-devel/perl-base/

Revision 1.414  2006/08/06 22:36:23  pluto
- jar wrapper build forced, files updated.

Revision 1.413  2006/08/06 20:45:50  pluto
- updated to 4.2.0-20060806 (rev. 115974).

Revision 1.412  2006/07/25 13:17:02  pluto
- updated to 4.2.0-20060725 (rev. 115734).

Revision 1.411  2006/07/17 20:01:28  pluto
- visibility fixes for 4.2.

Revision 1.410  2006/07/06 10:34:58  pluto
- now it should bootstrap on x86 and ppc...

Revision 1.409  2006/07/05 13:40:49  pluto
- %files updated (mmx/sse issue).

Revision 1.408  2006/07/04 10:22:15  glen
- typo

Revision 1.407  2006/07/04 08:25:48  pluto
- logfix (kill utf8).

Revision 1.406  2006/07/04 08:21:14  pluto
- fastjar is not bundled anymore with gcc. to build libgcj, you will need
  either InfoZIP (both zip and unzip) or an external jar program.
  in the former case, the gcc build will install a jar shell script that
  uses InfoZIP to provide the functionality of jar.

Revision 1.405  2006/07/03 00:06:57  pluto
- --with-qt4dir no more needed.

Revision 1.404  2006/07/02 22:47:21  pluto
- gcc/java += gappletviewer,gjarsigner,gkeytool.

Revision 1.403  2006/07/02 22:09:25  pluto
- don't duplicate libffi docs in libgcj package.

Revision 1.402  2006/07/02 21:49:39  pluto
- install/files updated.

Revision 1.401  2006/07/02 19:20:17  pluto
- updated to 4.2.0-20060702r115125.

Revision 1.400  2006/05/01 08:54:55  pluto
- updated to 4.2.0-20060428 (rev. 113350).

Revision 1.399  2006/03/23 19:27:13  pluto
- BR:zip, install fixes, TODO added.

Revision 1.398  2006/03/22 20:46:40  agaran
- commit for pluto, testing if it will lock for me too

Revision 1.397  2005/12/02 09:02:50  pluto
- working on 4.2.0...
